------------------------------------------------------------------------
r172 | darkstar | 2009-09-29 23:48:00 +0200 (Tue, 29 Sep 2009) | 1 line
Changed paths:
   M /trunk/libs/sqlite/sqlite3.c
   M /trunk/libs/sqlite/sqlite3.h

Updated SQLite to version 3.6.18
------------------------------------------------------------------------
r171 | darkstar | 2009-09-29 23:44:53 +0200 (Tue, 29 Sep 2009) | 1 line
Changed paths:
   M /trunk/quasar.cpp
   M /trunk/quasar.h

Added some more widgets to the public interface so addons can modify and/or hook into the UI.
------------------------------------------------------------------------
r170 | darkstar | 2009-08-26 12:31:41 +0200 (Wed, 26 Aug 2009) | 1 line
Changed paths:
   M /trunk/libs/sqlite/sqlite3.c
   M /trunk/libs/sqlite/sqlite3.h

Updated SQLite to version 3.6.17
------------------------------------------------------------------------
r169 | darkstar | 2009-07-11 11:58:26 +0200 (Sat, 11 Jul 2009) | 1 line
Changed paths:
   M /trunk/addons/coverartdownloader/coverartdownloader.cpp

Fixed the Qtopia compilation.
------------------------------------------------------------------------
r168 | darkstar | 2009-07-11 01:39:11 +0200 (Sat, 11 Jul 2009) | 1 line
Changed paths:
   M /trunk/quasar.cpp

Minor change to allow exiting the playlist filter box with the page up and down keys.
------------------------------------------------------------------------
r167 | darkstar | 2009-07-11 01:34:58 +0200 (Sat, 11 Jul 2009) | 2 lines
Changed paths:
   M /trunk/addons/coverartdownloader/coverartdownloader.cpp
   M /trunk/addons/coverartdownloader/coverartdownloader.h

 * Fixed the arrangement of the menu bar in the cover art downloader;
 * Modified the cover art downloader dialog to display as normal window with minimize and maximize buttons.
------------------------------------------------------------------------
r166 | darkstar | 2009-07-11 01:04:07 +0200 (Sat, 11 Jul 2009) | 1 line
Changed paths:
   M /trunk/libs/sqlite/sqlite3.c
   M /trunk/libs/sqlite/sqlite3.h

Updated SQLite to version 3.6.16.
------------------------------------------------------------------------
r165 | darkstar | 2009-05-31 20:13:56 +0200 (Sun, 31 May 2009) | 1 line
Changed paths:
   M /trunk/distro/skins/default/buttons.png

Updated playback buttons on default skin.
------------------------------------------------------------------------
r164 | darkstar | 2009-05-31 12:53:57 +0200 (Sun, 31 May 2009) | 1 line
Changed paths:
   M /trunk/libs/sqlite/sqlite3.c
   M /trunk/libs/sqlite/sqlite3.h

Updated SQLite to version 3.6.14.2
------------------------------------------------------------------------
r163 | darkstar | 2009-05-31 12:05:09 +0200 (Sun, 31 May 2009) | 1 line
Changed paths:
   M /trunk/ui/kineticlistview.cpp

Compilation fix for pdaXrom target.
------------------------------------------------------------------------
r162 | darkstar | 2009-05-31 01:02:36 +0200 (Sun, 31 May 2009) | 2 lines
Changed paths:
   M /trunk/core/mplayer.cpp
   M /trunk/ui/kineticlistview.cpp

 * Only allow kinetic scrolling in single select mode;
 * Fixed MPlayer idle mode issue when playback was first paused and then stopped.
------------------------------------------------------------------------
r161 | darkstar | 2009-05-31 00:55:01 +0200 (Sun, 31 May 2009) | 6 lines
Changed paths:
   M /trunk/core/configuration.cpp
   M /trunk/core/configuration.h
   M /trunk/core/mplayer.cpp
   M /trunk/core/mplayer.h
   M /trunk/main.cpp
   M /trunk/quasar-common.pro.in
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   M /trunk/ui/config/uiconfig.cpp
   M /trunk/ui/config/uiconfig.h
   A /trunk/ui/kineticlistview.cpp
   A /trunk/ui/kineticlistview.h
   M /trunk/ui/playlist.cpp
   M /trunk/ui/playlist.h
   M /trunk/ui/playlistoverview.cpp
   M /trunk/ui/playlistoverview.h

 * MPlayer feature check now happens at first playback and everytime the bin location of MPlayer changes;
 * Fixed issue where mplayer was not correctly cleaned up because the main quasar instance was not destructed;
 * Added option to enable optimized touch/pen mode (controls multiselect in play list overview for now);
 * Added optional kinetic scrolling to the play list view (controllable via UI settings);
 * Minor changes in the way the new settings made in the configuration dialog are handled;
 * Cleanup.
------------------------------------------------------------------------
r160 | darkstar | 2009-05-28 23:47:20 +0200 (Thu, 28 May 2009) | 2 lines
Changed paths:
   M /trunk/core/mplayer.cpp
   M /trunk/quasar.cpp

 * Fixed a problem where MPlayer was not correctly un-paused when loading a new file. This happens in newer versions.
 * Fixed a minor problem where playback state of the active item in the play list did not reflect the real state.
------------------------------------------------------------------------
r159 | darkstar | 2009-05-22 01:36:47 +0200 (Fri, 22 May 2009) | 1 line
Changed paths:
   M /trunk/core/mplayer.cpp
   M /trunk/core/mplayer.h

Added check to detect when MPlayer does no longer respond to our requests for the current position, which happens in idle mode when the audio device changes or goes down (Bluetooth audio etc.).
------------------------------------------------------------------------
r158 | darkstar | 2009-05-22 00:10:59 +0200 (Fri, 22 May 2009) | 3 lines
Changed paths:
   M /trunk/addons/coverartdownloader/coverartdownloader.h
   M /trunk/addons/debug/debugaddon.cpp
   M /trunk/addons/debug/debugaddon.h
   M /trunk/addons/qscrobbler/qscrobbleraddon.h
   M /trunk/distro/makedistro-sharp-qtopia.sh

 * Removed the "Show debug console" feature from the Debug menu;
 * Re-enabled all addons for the Sharp Qtopia build;
 * Fixed compilation issues for the Sharp Qtopia build.
------------------------------------------------------------------------
r157 | darkstar | 2009-05-20 00:57:58 +0200 (Wed, 20 May 2009) | 1 line
Changed paths:
   M /trunk/core/mplayer.cpp
   M /trunk/core/mplayer.h
   M /trunk/quasar.cpp

Added preliminary detection and support for idle mode in MPlayer, i.e. try to always reuse the running mplayer instance. Things may be broken.
------------------------------------------------------------------------
r156 | darkstar | 2009-05-17 02:09:11 +0200 (Sun, 17 May 2009) | 2 lines
Changed paths:
   M /trunk/addons/coverartdownloader/coverartdownloader.cpp
   M /trunk/addons/debug/debugaddon.cpp
   M /trunk/addons/debug/debugaddon.h
   M /trunk/addons/qscrobbler/audioscrobbler.cpp
   M /trunk/addons/quasar-addons.pro.in
   A /trunk/compat/windows/winhttp.h
   M /trunk/core/helpers.cpp
   M /trunk/core/helpers.h
   M /trunk/quasar-osx.pro

 * Added very basic preliminary HTTP proxy support for Windows, OS X, Qtopia and Linux;
 * Extended QScrobbler and the Cover Art Downloader to use the new proxy support.
------------------------------------------------------------------------
r155 | darkstar | 2009-05-16 22:45:46 +0200 (Sat, 16 May 2009) | 1 line
Changed paths:
   M /trunk/libs/sqlite/sqlite3.c
   M /trunk/libs/sqlite/sqlite3.h

Updated SQLite to version 3.6.14
------------------------------------------------------------------------
r154 | darkstar | 2009-04-17 00:39:37 +0200 (Fri, 17 Apr 2009) | 1 line
Changed paths:
   M /trunk/core/playlistmanager.cpp

Fixed a bug in resolving relative paths in play lists.
------------------------------------------------------------------------
r153 | darkstar | 2009-04-16 00:19:06 +0200 (Thu, 16 Apr 2009) | 1 line
Changed paths:
   M /trunk/quasar.cpp

Fixed compilation for sharp-qtopia target (Qt 2.x does not have endsWith in QString).
------------------------------------------------------------------------
r152 | darkstar | 2009-04-14 23:15:06 +0200 (Tue, 14 Apr 2009) | 5 lines
Changed paths:
   M /trunk/addons/coverartdownloader/coverartdownloader.cpp
   M /trunk/addons/coverartdownloader/coverartdownloader.h
   M /trunk/addons/qscrobbler/qscrobbler.cpp
   M /trunk/addons/qscrobbler/qscrobbler.h
   M /trunk/addons/qscrobbler/qscrobbleraddon.h
   M /trunk/core/playlistmanager.cpp
   M /trunk/distro/makedistro-osx.sh
   M /trunk/distro/makedistro-windows.sh
   M /trunk/distro/skeletons/osx/Quasar Media Player.app/Contents/Info.plist
   M /trunk/distro/tools/devenv-x86-ppc-osx.sh
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   M /trunk/ui/aboutdialog.cpp
   M /trunk/ui/aboutdialog.h

 * Added preliminary support for loading playlists externally (OS X only currently via Apple Event);
 * Playlist manager now resets the last playlist variable if the user creates a new playlist;
 * Changed dialogs to be non-modal;
 * Changed from zip to 7z archive for the Windows distro.

------------------------------------------------------------------------
r151 | darkstar | 2009-04-10 19:59:33 +0200 (Fri, 10 Apr 2009) | 4 lines
Changed paths:
   M /trunk/addons/coverartdownloader/coverartdownloader.h
   M /trunk/addons/qscrobbler/qscrobbleraddon.h
   M /trunk/core/configuration.cpp
   M /trunk/quasar.cpp
   M /trunk/quasar.h

 * Added support for dropping files and folders on the Quasar dock icon in OS X;
 * Fixed a bug in the OS X native menu bar that was caused by wrong IDs in the menu entries created by the add ons;
 * Changed default format options for non-ARM devices;
 * Added special handling of some items in the Tools menu to prevent problems with the special Qt treatment for those items on OS X.
------------------------------------------------------------------------
r150 | darkstar | 2009-04-10 15:20:53 +0200 (Fri, 10 Apr 2009) | 1 line
Changed paths:
   M /trunk/libs/sqlite/sqlite3.c
   M /trunk/libs/sqlite/sqlite3.h

Updated SQLite to version 3.6.12
------------------------------------------------------------------------
r149 | darkstar | 2009-04-10 14:12:25 +0200 (Fri, 10 Apr 2009) | 9 lines
Changed paths:
   M /trunk/addons/coverartdownloader/coverartdownloader.cpp
   A /trunk/addons/debug
   A /trunk/addons/debug/debugaddon.cpp
   A /trunk/addons/debug/debugaddon.h
   M /trunk/addons/qscrobbler/audioscrobbler.cpp
   M /trunk/addons/qscrobbler/qscrobbleraddon.h
   A /trunk/addons/quasar-addons.pro.in
   A /trunk/addons/revealmediafile
   A /trunk/addons/revealmediafile/revealmediafileaddon.cpp
   A /trunk/addons/revealmediafile/revealmediafileaddon.h
   M /trunk/core/configuration.cpp
   M /trunk/core/configuration.h
   M /trunk/core/helpers.cpp
   M /trunk/core/helpers.h
   M /trunk/core/mediaidentifier.cpp
   M /trunk/core/mplayer.cpp
   M /trunk/core/playlistmanager.cpp
   M /trunk/core/playlistmanager.h
   A /trunk/distro/create-osx-appbundle.sh
   A /trunk/distro/images/quasar.icns
   M /trunk/distro/makedistro-common.sh.in
   A /trunk/distro/makedistro-osx.sh
   M /trunk/distro/makedistro-pdaxrom.sh
   M /trunk/distro/makedistro-sharp-qtopia.sh
   M /trunk/distro/makedistro-windows.sh
   A /trunk/distro/skeletons/osx
   A /trunk/distro/skeletons/osx/Quasar Media Player.app
   A /trunk/distro/skeletons/osx/Quasar Media Player.app/Contents
   A /trunk/distro/skeletons/osx/Quasar Media Player.app/Contents/Frameworks
   A /trunk/distro/skeletons/osx/Quasar Media Player.app/Contents/Info.plist
   A /trunk/distro/skeletons/osx/Quasar Media Player.app/Contents/MacOS
   A /trunk/distro/skeletons/osx/Quasar Media Player.app/Contents/PkgInfo
   A /trunk/distro/skeletons/osx/Quasar Media Player.app/Contents/Resources
   A /trunk/distro/skeletons/windows/images
   A /trunk/distro/skeletons/windows/images/WizModernImage-IS.bmp
   A /trunk/distro/skeletons/windows/images/WizModernSmallImage-IS.bmp
   M /trunk/distro/skeletons/windows/quasar.iss
   M /trunk/distro/skins/default/skin.ini
   A /trunk/distro/tools/devenv-x86-ppc-osx.sh
   M /trunk/distro/version-helpers.sh.in
   A /trunk/quasar-osx.pro
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt3.pro
   M /trunk/quasar-sharp-qtopia.pro
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   A /trunk/readversion.sh
   M /trunk/ui/playlist.cpp
   M /trunk/ui/playlist.h

 * Added compile scripts & distro files for OS X version;
 * Added drag & drop feature for Qt 3.x (Windows, OS X, etc.);
 * Implemented auto scaling of playlist columns;
 * Added addon for debugging and testing purposes;
 * Added Reveal File add on (for OS X and Windows only currently);
 * Changed default configuration settings;
 * Changed default skin to use system font;
 * Fixed compilation quirk for Qtopia / Qt 2.x;
 * Changed Inno Setup script and added some funky graphics to the installer.
------------------------------------------------------------------------
r148 | darkstar | 2009-03-22 05:08:54 +0100 (Sun, 22 Mar 2009) | 2 lines
Changed paths:
   M /trunk/core/media.cpp
   M /trunk/core/media.h
   M /trunk/core/mplayer.cpp

 * Fixed several filename and path issues by getting rid of QUrl as base class for MediaLocation;
 * Re-enabled code section for soft-termination of MPlayer since zombie processes kept appearing on OS X.
------------------------------------------------------------------------
r147 | darkstar | 2009-03-22 02:29:43 +0100 (Sun, 22 Mar 2009) | 3 lines
Changed paths:
   M /trunk/core/configuration.cpp
   M /trunk/core/helpers.cpp
   M /trunk/core/helpers.h
   M /trunk/core/mediaidentifier.cpp
   M /trunk/ui/playinfo.cpp
   M /trunk/ui/skin/skinmanager.cpp

 * Fixed AV in containsUTF8 method that caused the media identification via MPlayer to crash the app;
 * Fixed wrong formatting of playtime in play info;
 * Simple modification in SkinManager to allow skins to use the default system font.
------------------------------------------------------------------------
r146 | darkstar | 2009-03-18 01:05:33 +0100 (Wed, 18 Mar 2009) | 1 line
Changed paths:
   M /trunk/distro/makedistro-common.sh.in

Fixed distro script to detect failed builds.
------------------------------------------------------------------------
r145 | darkstar | 2009-03-17 23:19:52 +0100 (Tue, 17 Mar 2009) | 2 lines
Changed paths:
   M /trunk/core/helpers.cpp
   M /trunk/ui/playinfo.cpp
   M /trunk/ui/playinfo.h

 * Added ugly workaround to the routines for loading and saving the window/widget position in order to circumvent problems with buggy WMs;
 * Cleanup, removed redundant code.
------------------------------------------------------------------------
r144 | darkstar | 2009-03-17 23:15:47 +0100 (Tue, 17 Mar 2009) | 7 lines
Changed paths:
   M /trunk/README
   M /trunk/core/configuration.h
   D /trunk/distro/dev-arm-pdaxrom.sh
   D /trunk/distro/dev-arm-qpe.sh
   D /trunk/distro/ipkg-build
   D /trunk/distro/ipkg-buildpackage
   D /trunk/distro/ipkg-make-index
   A /trunk/distro/makedistro-common.sh.in
   A /trunk/distro/makedistro-pdaxrom.sh
   A /trunk/distro/makedistro-sharp-qtopia.sh
   A /trunk/distro/makedistro-windows.sh
   D /trunk/distro/makedistros.sh
   M /trunk/distro/skeletons/pdaXrom/CONTROL/control
   D /trunk/distro/skeletons/sharp
   A /trunk/distro/skeletons/sharp-qtopia (from /trunk/distro/skeletons/sharp:141)
   M /trunk/distro/skeletons/sharp-qtopia/CONTROL/control
   A /trunk/distro/skeletons/windows
   A /trunk/distro/skeletons/windows/bin
   A /trunk/distro/skeletons/windows/bin/mingwm10.dll
   A /trunk/distro/skeletons/windows/quasar.iss
   A /trunk/distro/tools
   A /trunk/distro/tools/devenv-arm-pdaxrom.sh (from /trunk/distro/dev-arm-pdaxrom.sh:141)
   A /trunk/distro/tools/devenv-arm-sharp-qtopia.sh (from /trunk/distro/dev-arm-qpe.sh:141)
   A /trunk/distro/tools/devenv-x86-mingw.sh
   A /trunk/distro/tools/ipkg-build (from /trunk/distro/ipkg-build:141)
   A /trunk/distro/tools/ipkg-make-index (from /trunk/distro/ipkg-make-index:141)
   A /trunk/distro/version-helpers.sh.in
   A /trunk/quasar-common.pro.in
   M /trunk/quasar-mingw.pro
   M /trunk/quasar-pdaxrom.pro
   D /trunk/quasar-qt.pro
   A /trunk/quasar-qt3.pro (from /trunk/quasar-qt.pro:143)
   D /trunk/quasar-qtopia.pro
   A /trunk/quasar-sharp-qtopia.pro (from /trunk/quasar-qtopia.pro:143)
   A /trunk/quasar_version.h
   M /trunk/ui/aboutdialog.cpp

 * Rewrote the .pro-Files;
 * Rewrote the build scripts;
 * Restructured the distro directory;
 * Added distribution files for the Windows version;
 * Version information is now saved in quasar_version.h;
 * Added helper scripts to read the version number and revision information;
 * Updated README file.
------------------------------------------------------------------------
r143 | darkstar | 2009-03-05 22:24:09 +0100 (Thu, 05 Mar 2009) | 4 lines
Changed paths:
   A /trunk/addons
   A /trunk/addons/coverartdownloader
   A /trunk/addons/coverartdownloader/coverartdownloader.cpp (from /trunk/ui/coverartdownloader.cpp:141)
   A /trunk/addons/coverartdownloader/coverartdownloader.h (from /trunk/ui/coverartdownloader.h:141)
   A /trunk/addons/qscrobbler
   A /trunk/addons/qscrobbler/audioscrobbler.cpp
   A /trunk/addons/qscrobbler/audioscrobbler.h
   A /trunk/addons/qscrobbler/kascachelist.cpp
   A /trunk/addons/qscrobbler/kascachelist.h
   A /trunk/addons/qscrobbler/qscrobbler.cpp
   A /trunk/addons/qscrobbler/qscrobbler.h
   A /trunk/addons/qscrobbler/qscrobbleraddon.cpp
   A /trunk/addons/qscrobbler/qscrobbleraddon.h
   A /trunk/addons/qscrobbler/qscrobblerconfig.cpp
   A /trunk/addons/qscrobbler/qscrobblerconfig.h
   A /trunk/core/addonmanager.cpp
   A /trunk/core/addonmanager.h
   M /trunk/core/configuration.cpp
   M /trunk/core/configuration.h
   M /trunk/core/externalservices.h
   M /trunk/core/helpers.cpp
   M /trunk/core/helpers.h
   M /trunk/core/playlistmanager.cpp
   M /trunk/main.cpp
   M /trunk/quasar-mingw.pro
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   M /trunk/quasar.rc
   A /trunk/ui/config/configview.cpp
   A /trunk/ui/config/configview.h
   M /trunk/ui/config/coverartconfig.cpp
   M /trunk/ui/config/coverartconfig.h
   M /trunk/ui/config/formatsconfig.cpp
   M /trunk/ui/config/formatsconfig.h
   M /trunk/ui/config/generalconfig.cpp
   M /trunk/ui/config/generalconfig.h
   M /trunk/ui/config/hotareaconfig.cpp
   M /trunk/ui/config/hotareaconfig.h
   M /trunk/ui/config/hotkeyconfig.cpp
   M /trunk/ui/config/hotkeyconfig.h
   M /trunk/ui/config/mplayerconfig.cpp
   M /trunk/ui/config/mplayerconfig.h
   M /trunk/ui/config/uiconfig.cpp
   M /trunk/ui/config/uiconfig.h
   M /trunk/ui/configurationdialog.cpp
   M /trunk/ui/configurationdialog.h
   D /trunk/ui/coverartdownloader.cpp
   D /trunk/ui/coverartdownloader.h
   M /trunk/ui/simplefiledialog.cpp

 * Added preliminary add on manager;
 * Modified cover art downloader to be an optional add on;
 * Added QScrobbler last.fm audio-scrobbling add on;
 * Changed all config views to derive from a common base class.
------------------------------------------------------------------------
r142 | darkstar | 2008-12-27 04:20:27 +0100 (Sat, 27 Dec 2008) | 2 lines
Changed paths:
   M /trunk/quasar.cpp
   M /trunk/ui/mediainfodialog.cpp
   M /trunk/ui/playlist.cpp
   M /trunk/ui/playlist.h

 * Added a context menu to the playlist widget;
 * Modified the media info formatting slightly.
------------------------------------------------------------------------
r141 | darkstar | 2008-12-27 03:48:26 +0100 (Sat, 27 Dec 2008) | 1 line
Changed paths:
   M /trunk/core/playlistmanager.cpp

Fixed bug where canceling the add file/directory dialog would crash the app.
------------------------------------------------------------------------
r140 | darkstar | 2008-12-27 03:14:23 +0100 (Sat, 27 Dec 2008) | 5 lines
Changed paths:
   M /trunk/core/action.cpp
   M /trunk/core/configuration.h
   A /trunk/core/helpers.cpp
   A /trunk/core/helpers.h
   M /trunk/core/media.cpp
   M /trunk/core/media.h
   M /trunk/core/mediadatabase.cpp
   M /trunk/core/mediaidentifier.cpp
   M /trunk/quasar-mingw.pro
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   M /trunk/ui/mediainfodialog.cpp
   M /trunk/ui/mediainfodialog.h
   M /trunk/ui/skin/skinmanager.cpp
   M /trunk/ui/skin/skinmanager.h

 * Implemented the media file info dialog (#36);
 * Removed useless "format" property from mediaAudio (database structure changed);
 * Added pseudo detection of the audio codec when using TagLib to identify/scan a file;
 * Added informational properties of the active skin to skin manager class;
 * Code cleanup.
------------------------------------------------------------------------
r139 | darkstar | 2008-12-25 02:54:39 +0100 (Thu, 25 Dec 2008) | 1 line
Changed paths:
   M /trunk/ui/skin/skinmanager.cpp

Prevent div-by-zero in setPixelSize workaround code.
------------------------------------------------------------------------
r138 | darkstar | 2008-12-25 02:52:26 +0100 (Thu, 25 Dec 2008) | 3 lines
Changed paths:
   M /trunk/quasar-mingw.pro
   M /trunk/ui/skin/skinmanager.cpp

 * Changed unit of font sizes in skin.ini to pixels instead of points;
 * Implemented workaround for buggy setPixelSize implementation on Windows;
 * UnFAILed new code that loads the play list indicator images, doh.
------------------------------------------------------------------------
r137 | darkstar | 2008-12-25 01:01:10 +0100 (Thu, 25 Dec 2008) | 2 lines
Changed paths:
   M /trunk/distro/skins/default/skin.ini
   M /trunk/ui/skin/skinmanager.cpp
   M /trunk/ui/skin/skinmanager.h

 * Introduced new group "genericmode" in skin.ini, that can be used to define base values for all other modes;
 * Adapted skinmanager.cpp to parse skin.ini file correctly.
------------------------------------------------------------------------
r136 | darkstar | 2008-12-25 00:15:07 +0100 (Thu, 25 Dec 2008) | 2 lines
Changed paths:
   M /trunk/core/action.cpp
   M /trunk/quasar.cpp
   M /trunk/ui/config/hotareaconfig.cpp
   M /trunk/ui/config/hotareaconfig.h

 * Fixed compilation on Qtopia/Sharp;
 * Fixed issue where the Hot Area configuration panel would be too big to display at 640x480.
------------------------------------------------------------------------
r135 | darkstar | 2008-12-24 16:55:28 +0100 (Wed, 24 Dec 2008) | 4 lines
Changed paths:
   M /trunk/core/media.cpp
   M /trunk/core/media.h
   M /trunk/core/mplayer.cpp
   M /trunk/core/mplayer.h
   A /trunk/distro/skins/default/error_indicator.png
   M /trunk/distro/skins/default/skin.ini
   M /trunk/quasar.cpp
   M /trunk/ui/playlist.cpp
   M /trunk/ui/playlist.h
   M /trunk/ui/skin/skinmanager.cpp
   M /trunk/ui/skin/skinmanager.h
   M /trunk/ui/textviewdialog.cpp
   M /trunk/ui/textviewdialog.h

 * Yet again improved the error handling robustness in the MPlayer wrapper class;
 * Changed the way errors are presented to the user to be less annoying and obtrusive;
 * Added error indicator images to the play list view;
 * Preliminary improvement of the error message dialog.
------------------------------------------------------------------------
r134 | darkstar | 2008-12-24 00:49:12 +0100 (Wed, 24 Dec 2008) | 2 lines
Changed paths:
   M /trunk/quasar.cpp
   M /trunk/quasar.h

 * Fixed signal mapping for volume, seeking and brightness;
 * Changed "Rescan For Cover Art Images" function to also reset cover art flow and play info, unified code.
------------------------------------------------------------------------
r133 | darkstar | 2008-12-24 00:13:27 +0100 (Wed, 24 Dec 2008) | 4 lines
Changed paths:
   M /trunk/core/action.cpp
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   M /trunk/ui/aboutdialog.cpp
   M /trunk/ui/coverartdownloader.cpp
   M /trunk/ui/playinfo.cpp

 * Fixed issue where several actions were double-mapped;
 * Rearranged menus;
 * Fixed issue in PlayInfo where the name of an executed HotArea action was not displayed;
 * Other minor UI changes.
------------------------------------------------------------------------
r132 | darkstar | 2008-12-23 20:20:00 +0100 (Tue, 23 Dec 2008) | 3 lines
Changed paths:
   M /trunk/core/mplayer.cpp
   M /trunk/core/mplayer.h
   M /trunk/quasar-mingw.pro

 * More reliable error handling in MPlayer wrapper class;
 * Experimental code for killing process (has to be checked on Unix and Linux);
 * First steps undertaken toward generalization of the MPlayer wrapper class.
------------------------------------------------------------------------
r131 | darkstar | 2008-12-21 15:24:41 +0100 (Sun, 21 Dec 2008) | 3 lines
Changed paths:
   M /trunk
   D /trunk/compat/windows/qwindowsxpstyle.cpp
   D /trunk/compat/windows/qwindowsxpstyle.h
   D /trunk/compat/windows/tmschema.h
   M /trunk/libs/sqlite/sqlite3.c
   M /trunk/libs/sqlite/sqlite3.h
   M /trunk/libs/sqlite/sqlite3ext.h
   M /trunk/quasar-mingw.pro
   M /trunk/quasar.cpp
   M /trunk/quasar.h

 * Fixed problem where main windows would not return to maximized state when returning from full screen mode;
 * SQLite updated to 3.6.6.2;
 * Cleanup;
------------------------------------------------------------------------
r130 | darkstar | 2008-11-12 01:24:03 +0100 (Wed, 12 Nov 2008) | 3 lines
Changed paths:
   M /trunk/core/debug.h
   M /trunk/core/mplayer.cpp
   M /trunk/core/mplayer.h

 * Increased robustness of MPlayer controller on Windows;
 * Debugging defines slightly changed;
 * Cleanup.
------------------------------------------------------------------------
r129 | darkstar | 2008-11-08 02:04:25 +0100 (Sat, 08 Nov 2008) | 4 lines
Changed paths:
   M /trunk/core/mplayer.cpp
   M /trunk/core/mplayer.h

 * General MPlayer debugging:
   * Get rid of several timing issues due to recursion by emiting the currentPlayTime signal outside of the parseLines method;
   * Fixed several issues on Windows that were caused by said timing issues + recursion;
   * Tons of debugging code added.
------------------------------------------------------------------------
r128 | darkstar | 2008-11-02 22:31:12 +0100 (Sun, 02 Nov 2008) | 1 line
Changed paths:
   M /trunk/core/mplayer.cpp

Fix for MPlayer cleanup handling.
------------------------------------------------------------------------
r127 | darkstar | 2008-10-27 00:11:22 +0100 (Mon, 27 Oct 2008) | 2 lines
Changed paths:
   M /trunk/quasar.cpp
   M /trunk/ui/playinfo.cpp
   M /trunk/ui/playinfo.h

 * Added preliminary info/status text to play info screen;
 * Fixed bug where play info screen displayed garbage when no playback was started.
------------------------------------------------------------------------
r126 | darkstar | 2008-10-26 18:21:49 +0100 (Sun, 26 Oct 2008) | 4 lines
Changed paths:
   M /trunk/core/action.cpp
   M /trunk/core/action.h
   M /trunk/core/configuration.cpp
   M /trunk/core/configuration.h
   M /trunk/quasar-mingw.pro
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp
   A /trunk/ui/config/hotareaconfig.cpp
   A /trunk/ui/config/hotareaconfig.h
   M /trunk/ui/config/hotkeyconfig.cpp
   M /trunk/ui/configurationdialog.cpp
   M /trunk/ui/configurationdialog.h
   M /trunk/ui/playinfo.cpp
   M /trunk/ui/playinfo.h

 * Implemented the hot area feature in the play info screen (Ticket #31);
 * Hot areas are completely customizable via the configuration dialog;
 * Modified action creation to register all action handlers with the action manager;
 * Action can now be executed globally via the action manager.
------------------------------------------------------------------------
r125 | darkstar | 2008-10-26 00:18:41 +0200 (Sun, 26 Oct 2008) | 1 line
Changed paths:
   M /trunk/ui/coverartflow.cpp
   M /trunk/ui/coverartflow.h

Double-clicking an album in the cover art flow now plays the first item of the album in the playlist (Ticket #29).
------------------------------------------------------------------------
r124 | darkstar | 2008-10-25 19:05:30 +0200 (Sat, 25 Oct 2008) | 1 line
Changed paths:
   M /trunk/core/coverartprovider.cpp
   M /trunk/core/coverartprovider.h
   M /trunk/core/debug.h

Fixed ticket #26.
------------------------------------------------------------------------
r123 | darkstar | 2008-10-23 23:55:55 +0200 (Thu, 23 Oct 2008) | 2 lines
Changed paths:
   M /trunk/core/debug.h
   M /trunk/core/media.cpp
   M /trunk/core/mediadatabase.cpp

 * Fixed the empty line issue by still displaying the filename if no media meta data was found;
 * Fixed ticket #18.
------------------------------------------------------------------------
r122 | darkstar | 2008-10-23 21:58:58 +0200 (Thu, 23 Oct 2008) | 1 line
Changed paths:
   D /trunk/quasar_ja.ts

Removed out-dated Japanese translation file.
------------------------------------------------------------------------
r121 | darkstar | 2008-10-23 21:50:53 +0200 (Thu, 23 Oct 2008) | 1 line
Changed paths:
   M /trunk
   D /trunk/aboutdialog.cpp
   D /trunk/aboutdialog.h
   D /trunk/action.cpp
   D /trunk/action.h
   D /trunk/config
   D /trunk/configuration.cpp
   D /trunk/configuration.h
   D /trunk/configurationdialog.cpp
   D /trunk/configurationdialog.h
   A /trunk/core
   A /trunk/core/action.cpp (from /trunk/action.cpp:118)
   A /trunk/core/action.h (from /trunk/action.h:118)
   A /trunk/core/configuration.cpp (from /trunk/configuration.cpp:118)
   A /trunk/core/configuration.h (from /trunk/configuration.h:118)
   A /trunk/core/coverartprovider.cpp (from /trunk/coverartprovider.cpp:118)
   A /trunk/core/coverartprovider.h (from /trunk/coverartprovider.h:118)
   A /trunk/core/debug.cpp (from /trunk/debug.cpp:118)
   A /trunk/core/debug.h (from /trunk/debug.h:118)
   A /trunk/core/externalservices.cpp (from /trunk/externalservices.cpp:118)
   A /trunk/core/externalservices.h (from /trunk/externalservices.h:118)
   A /trunk/core/keynames.cpp (from /trunk/keynames.cpp:118)
   A /trunk/core/keynames.h (from /trunk/keynames.h:118)
   A /trunk/core/media.cpp (from /trunk/media.cpp:118)
   A /trunk/core/media.h (from /trunk/media.h:118)
   A /trunk/core/mediadatabase.cpp (from /trunk/mediadatabase.cpp:118)
   A /trunk/core/mediadatabase.h (from /trunk/mediadatabase.h:118)
   A /trunk/core/mediaidentifier.cpp (from /trunk/mediaidentifier.cpp:118)
   A /trunk/core/mediaidentifier.h (from /trunk/mediaidentifier.h:118)
   A /trunk/core/mplayer.cpp (from /trunk/mplayer.cpp:118)
   A /trunk/core/mplayer.h (from /trunk/mplayer.h:118)
   A /trunk/core/platform (from /trunk/platform:119)
   A /trunk/core/platform/batteryplus.cpp (from /trunk/platform/batteryplus.cpp:120)
   A /trunk/core/platform/batteryplus.h (from /trunk/platform/batteryplus.h:120)
   A /trunk/core/playlistmanager.cpp (from /trunk/playlistmanager.cpp:118)
   A /trunk/core/playlistmanager.h (from /trunk/playlistmanager.h:118)
   A /trunk/core/signalhandler.cpp (from /trunk/signalhandler.cpp:118)
   A /trunk/core/signalhandler.h (from /trunk/signalhandler.h:118)
   D /trunk/coverartdownloader.cpp
   D /trunk/coverartdownloader.h
   D /trunk/coverartflow.cpp
   D /trunk/coverartflow.h
   D /trunk/coverartprovider.cpp
   D /trunk/coverartprovider.h
   D /trunk/debug.cpp
   D /trunk/debug.h
   D /trunk/externalservices.cpp
   D /trunk/externalservices.h
   D /trunk/keynames.cpp
   D /trunk/keynames.h
   D /trunk/kmdcodec
   A /trunk/libs
   A /trunk/libs/kmdcodec (from /trunk/kmdcodec:118)
   A /trunk/libs/sqlite (from /trunk/sqlite_source:118)
   A /trunk/libs/taglib (from /trunk/tag:118)
   D /trunk/media.cpp
   D /trunk/media.h
   D /trunk/mediadatabase.cpp
   D /trunk/mediadatabase.h
   D /trunk/mediaidentifier.cpp
   D /trunk/mediaidentifier.h
   D /trunk/mediainfodialog.cpp
   D /trunk/mediainfodialog.h
   D /trunk/mplayer.cpp
   D /trunk/mplayer.h
   D /trunk/operationpanel.cpp
   D /trunk/operationpanel.h
   D /trunk/platform
   D /trunk/playinfo.cpp
   D /trunk/playinfo.h
   D /trunk/playlist.cpp
   D /trunk/playlist.h
   D /trunk/playlistmanager.cpp
   D /trunk/playlistmanager.h
   D /trunk/playlistoverview.cpp
   D /trunk/playlistoverview.h
   D /trunk/playlisttoolpanel.cpp
   D /trunk/playlisttoolpanel.h
   M /trunk/quasar-mingw.pro
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   D /trunk/signalhandler.cpp
   D /trunk/signalhandler.h
   D /trunk/simplefiledialog.cpp
   D /trunk/simplefiledialog.h
   D /trunk/sqlite_source
   D /trunk/tag
   D /trunk/textviewdialog.cpp
   D /trunk/textviewdialog.h
   D /trunk/toolpanel.cpp
   D /trunk/toolpanel.h
   A /trunk/ui/aboutdialog.cpp (from /trunk/aboutdialog.cpp:118)
   A /trunk/ui/aboutdialog.h (from /trunk/aboutdialog.h:118)
   A /trunk/ui/config (from /trunk/config:118)
   R /trunk/ui/config/uiconfig.cpp (from /trunk/config/uiconfig.cpp:120)
   A /trunk/ui/configurationdialog.cpp (from /trunk/configurationdialog.cpp:118)
   A /trunk/ui/configurationdialog.h (from /trunk/configurationdialog.h:118)
   A /trunk/ui/coverartdownloader.cpp (from /trunk/coverartdownloader.cpp:118)
   A /trunk/ui/coverartdownloader.h (from /trunk/coverartdownloader.h:118)
   A /trunk/ui/coverartflow.cpp (from /trunk/coverartflow.cpp:118)
   A /trunk/ui/coverartflow.h (from /trunk/coverartflow.h:118)
   A /trunk/ui/mediainfodialog.cpp (from /trunk/mediainfodialog.cpp:118)
   A /trunk/ui/mediainfodialog.h (from /trunk/mediainfodialog.h:118)
   A /trunk/ui/operationpanel.cpp (from /trunk/operationpanel.cpp:118)
   A /trunk/ui/operationpanel.h (from /trunk/operationpanel.h:118)
   A /trunk/ui/playinfo.cpp (from /trunk/playinfo.cpp:118)
   A /trunk/ui/playinfo.h (from /trunk/playinfo.h:118)
   A /trunk/ui/playlist.cpp (from /trunk/playlist.cpp:118)
   A /trunk/ui/playlist.h (from /trunk/playlist.h:118)
   A /trunk/ui/playlistoverview.cpp (from /trunk/playlistoverview.cpp:118)
   A /trunk/ui/playlistoverview.h (from /trunk/playlistoverview.h:118)
   A /trunk/ui/playlisttoolpanel.cpp (from /trunk/playlisttoolpanel.cpp:118)
   A /trunk/ui/playlisttoolpanel.h (from /trunk/playlisttoolpanel.h:118)
   A /trunk/ui/simplefiledialog.cpp (from /trunk/simplefiledialog.cpp:118)
   A /trunk/ui/simplefiledialog.h (from /trunk/simplefiledialog.h:118)
   A /trunk/ui/textviewdialog.cpp (from /trunk/textviewdialog.cpp:118)
   A /trunk/ui/textviewdialog.h (from /trunk/textviewdialog.h:118)
   A /trunk/ui/toolpanel.cpp (from /trunk/toolpanel.cpp:118)
   A /trunk/ui/toolpanel.h (from /trunk/toolpanel.h:118)
   A /trunk/ui/videoplaybackwindow.cpp (from /trunk/videoplaybackwindow.cpp:118)
   A /trunk/ui/videoplaybackwindow.h (from /trunk/videoplaybackwindow.h:118)
   D /trunk/videoplaybackwindow.cpp
   D /trunk/videoplaybackwindow.h

Heavy restructuring of the source code files.
------------------------------------------------------------------------
r120 | darkstar | 2008-10-23 00:45:33 +0200 (Thu, 23 Oct 2008) | 1 line
Changed paths:
   D /trunk/batteryplus.cpp
   D /trunk/batteryplus.h
   M /trunk/config/uiconfig.cpp
   D /trunk/doxygen.conf
   A /trunk/platform/batteryplus.cpp (from /trunk/batteryplus.cpp:118)
   A /trunk/platform/batteryplus.h (from /trunk/batteryplus.h:118)
   M /trunk/quasar-mingw.pro
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   D /trunk/random.h
   D /trunk/seekbar.cpp
   D /trunk/seekbar.h
   D /trunk/skin.cpp
   D /trunk/skin.h
   D /trunk/skinmanager.cpp
   D /trunk/skinmanager.h
   D /trunk/skinnedbutton.cpp
   D /trunk/skinnedbutton.h
   D /trunk/skinnedlabel.cpp
   D /trunk/skinnedlabel.h
   D /trunk/skinnedtimelabel.cpp
   D /trunk/skinnedtimelabel.h
   D /trunk/skinpanel.cpp
   D /trunk/skinpanel.h
   A /trunk/ui
   A /trunk/ui/skin
   A /trunk/ui/skin/seekbar.cpp (from /trunk/seekbar.cpp:118)
   A /trunk/ui/skin/seekbar.h (from /trunk/seekbar.h:118)
   A /trunk/ui/skin/skin.cpp (from /trunk/skin.cpp:118)
   A /trunk/ui/skin/skin.h (from /trunk/skin.h:118)
   A /trunk/ui/skin/skinmanager.cpp (from /trunk/skinmanager.cpp:118)
   A /trunk/ui/skin/skinmanager.h (from /trunk/skinmanager.h:118)
   A /trunk/ui/skin/skinnedbutton.cpp (from /trunk/skinnedbutton.cpp:118)
   A /trunk/ui/skin/skinnedbutton.h (from /trunk/skinnedbutton.h:118)
   A /trunk/ui/skin/skinnedlabel.cpp (from /trunk/skinnedlabel.cpp:118)
   A /trunk/ui/skin/skinnedlabel.h (from /trunk/skinnedlabel.h:118)
   A /trunk/ui/skin/skinnedtimelabel.cpp (from /trunk/skinnedtimelabel.cpp:118)
   A /trunk/ui/skin/skinnedtimelabel.h (from /trunk/skinnedtimelabel.h:118)
   A /trunk/ui/skin/skinpanel.cpp (from /trunk/skinpanel.cpp:118)
   A /trunk/ui/skin/skinpanel.h (from /trunk/skinpanel.h:118)

Yet another structural cleanup (Skin classes moved).
------------------------------------------------------------------------
r119 | darkstar | 2008-10-23 00:25:03 +0200 (Thu, 23 Oct 2008) | 2 lines
Changed paths:
   D /trunk/object_ld_script
   D /trunk/objmoc_ld_script
   A /trunk/platform
   A /trunk/platform/platformservices.cpp
   A /trunk/platform/platformservices.h
   A /trunk/platform/system_volume.cpp (from /trunk/system_volume.cpp:118)
   A /trunk/platform/system_volume.h (from /trunk/system_volume.h:118)
   M /trunk/quasar-mingw.pro
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   D /trunk/system_volume.cpp
   D /trunk/system_volume.h

 * Initial attempt to move platform specific code from quasar.cpp to a separate singleton;
 * Cleanup.
------------------------------------------------------------------------
r118 | darkstar | 2008-10-19 23:13:36 +0200 (Sun, 19 Oct 2008) | 2 lines
Changed paths:
   M /trunk/aboutdialog.cpp
   M /trunk/externalservices.cpp
   M /trunk/mplayer.cpp
   M /trunk/mplayer.h
   A /trunk/object_ld_script
   A /trunk/objmoc_ld_script
   M /trunk/operationpanel.cpp
   M /trunk/quasar-mingw.pro
   M /trunk/system_volume.cpp

 * Fixed yet another issue with the MPlayer QProcess-based controller (error were shown infrequently on Windows);
 * Fixed volume control.
------------------------------------------------------------------------
r117 | darkstar | 2008-09-03 23:53:11 +0200 (Wed, 03 Sep 2008) | 5 lines
Changed paths:
   D /trunk/coverart.cpp
   D /trunk/coverart.h
   M /trunk/coverartflow.cpp
   M /trunk/coverartflow.h
   A /trunk/distro/skins/default/seekbar.png
   A /trunk/distro/skins/default/seekbarslider.png
   M /trunk/distro/skins/default/skin.ini
   M /trunk/playinfo.cpp
   M /trunk/playinfo.h
   M /trunk/quasar-mingw.pro
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   M /trunk/skin.cpp
   M /trunk/skin.h

 * Replaced PlayInfo screen with a completely rewritten version that 
   * uses LayeredPaintBox and Layers for maximum performance,
   * makes use of the full screen,
   * adds more eye-candy and funky FXs,
   * will use gestures.
------------------------------------------------------------------------
r116 | darkstar | 2008-08-17 02:02:16 +0200 (Sun, 17 Aug 2008) | 1 line
Changed paths:
   M /trunk/coverartflow.cpp

Fixed compilation errors.
------------------------------------------------------------------------
r115 | darkstar | 2008-08-17 00:02:08 +0200 (Sun, 17 Aug 2008) | 1 line
Changed paths:
   M /trunk/coverartflow.cpp

Added code to use the new prefetching hint feature in FlowMatix' CachedImageProvider
------------------------------------------------------------------------
r114 | darkstar | 2008-08-14 23:38:24 +0200 (Thu, 14 Aug 2008) | 8 lines
Changed paths:
   M /trunk
   M /trunk/coverartdownloader.cpp
   M /trunk/coverartdownloader.h
   M /trunk/coverartflow.cpp
   M /trunk/coverartflow.h
   A /trunk/distro/skins/default/scrollbar.png
   A /trunk/distro/skins/default/scrollbarslider.png
   M /trunk/distro/skins/default/skin.ini
   M /trunk/mediadatabase.cpp
   M /trunk/mplayer.cpp
   M /trunk/mplayer.h
   M /trunk/playlist.cpp
   M /trunk/playlistmanager.cpp
   M /trunk/playlistoverview.cpp
   M /trunk/quasar-mingw.pro
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   M /trunk/skin.cpp
   M /trunk/skin.h
   M /trunk/skinmanager.cpp

* Fixed a problem in the cover art downloader, where the dialog would abort and close prematurely while still downloading;
 * Added code to set more optimal SQLite settings for options that are new in 3.6.1 (Lookaside mem allocator etc.);
 * Changed statement preparation to new interface in SQLite (sqlite3_prepare_v2);
 * CoverArtFlow and DownloadedCoverArtImageFlow changed to accommodate to the changes in FlowMatix;
 * Fixed a bug in MPlayer interface that caused Quasar to crash when switching from one file to another. The QProcess was killed while being in an emit chain of that very process, d'oh;
 * Added a skinned scrollbar to the flow controls (SkinFlowScrollBar);
 * Changed SkinManager and Skin classes to enable support for a new class of unpositioned skins as required by SkinFlowScrollBar;
 * Other minor optimizations and code cleanup.
------------------------------------------------------------------------
r113 | darkstar | 2008-08-14 22:59:40 +0200 (Thu, 14 Aug 2008) | 2 lines
Changed paths:
   M /trunk/sqlite_source/sqlite3.c
   M /trunk/sqlite_source/sqlite3.h
   M /trunk/sqlite_source/sqlite3ext.h

Updated SQLite to 3.6.1
Again minor optimizations in this new version.
------------------------------------------------------------------------
r112 | darkstar | 2008-08-03 03:38:49 +0200 (Sun, 03 Aug 2008) | 1 line
Changed paths:
   M /trunk/coverartflow.cpp

Minor change to get scrollbar working with CoverArtFlow.
------------------------------------------------------------------------
r111 | darkstar | 2008-08-01 23:36:55 +0200 (Fri, 01 Aug 2008) | 1 line
Changed paths:
   M /trunk/mplayer.cpp

Added workaround for QProcess bug on Windows
------------------------------------------------------------------------
r110 | darkstar | 2008-07-31 23:45:02 +0200 (Thu, 31 Jul 2008) | 6 lines
Changed paths:
   A /trunk/compat/sharp-qtopia/qhttp3
   A /trunk/compat/sharp-qtopia/qhttp3/qhttp.cpp
   A /trunk/compat/sharp-qtopia/qhttp3/qhttp.h
   A /trunk/compat/sharp-qtopia/qhttp3/qlocalfs.cpp
   A /trunk/compat/sharp-qtopia/qhttp3/qlocalfs.h
   A /trunk/compat/sharp-qtopia/qhttp3/qnetworkprotocol.cpp
   A /trunk/compat/sharp-qtopia/qhttp3/qnetworkprotocol.h
   A /trunk/compat/sharp-qtopia/qhttp3/qurlinfo.cpp
   A /trunk/compat/sharp-qtopia/qhttp3/qurlinfo.h
   A /trunk/compat/sharp-qtopia/qhttp3/qurloperator.cpp
   A /trunk/compat/sharp-qtopia/qhttp3/qurloperator.h
   A /trunk/compat/windows/qwindowsxpstyle.cpp
   A /trunk/compat/windows/qwindowsxpstyle.h
   A /trunk/compat/windows/tmschema.h
   M /trunk/config/coverartconfig.cpp
   M /trunk/config/coverartconfig.h
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   A /trunk/coverartdownloader.cpp
   A /trunk/coverartdownloader.h
   M /trunk/coverartflow.cpp
   M /trunk/coverartprovider.cpp
   M /trunk/coverartprovider.h
   A /trunk/distro/skins/default/nocover.png
   M /trunk/mplayer.cpp
   M /trunk/playlistmanager.cpp
   M /trunk/quasar-mingw.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   M /trunk/textviewdialog.cpp

 * Added lightweight cover art search and download feature (Tools -> Search for cover art...):
   Uses external web service to search for cover art image files for a given set of albums;
 * Lookup performance of cover arts dramatically improved;
 * Workarounds added to mplayer.cpp in order to work with buggy QProcess on Windows;
 * Fixed PlayListManager::fillFileList to also consider hidden files and directories;
 * Cleanup.
------------------------------------------------------------------------
r109 | darkstar | 2008-06-23 01:42:29 +0200 (Mon, 23 Jun 2008) | 2 lines
Changed paths:
   M /trunk/media.cpp
   M /trunk/playlistmanager.cpp

 * Fixed crash issue caused by uninitialized members;
 * Fixed broken compile in full debug mode.
------------------------------------------------------------------------
r108 | darkstar | 2008-06-22 23:45:21 +0200 (Sun, 22 Jun 2008) | 3 lines
Changed paths:
   M /trunk/mediadatabase.cpp
   M /trunk/playlistmanager.cpp
   M /trunk/playlistmanager.h
   M /trunk/quasar.cpp

 * Fixed a bug that caused new files to not appear in the playlist;
 * Implemented a fast path for scanning directories: rescanning dynamic playlists and adding directories should be a lot faster now when information for files already exists in the database;
 * Code cleanup and simplification.
------------------------------------------------------------------------
r107 | darkstar | 2008-06-01 01:55:35 +0200 (Sun, 01 Jun 2008) | 7 lines
Changed paths:
   M /trunk/action.cpp
   M /trunk/coverartflow.cpp
   M /trunk/media.cpp
   M /trunk/media.h
   M /trunk/mediadatabase.cpp
   M /trunk/mediadatabase.h
   M /trunk/mediaidentifier.cpp
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/playlistmanager.cpp
   M /trunk/playlistmanager.h
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp

 * Changed internal structure to use the media ID instead of Media instances
   * Huge memory usage improvement: Quasar and play list of 3500 entries used 11720 KB RSS before, now it is down to 8120 KB RSS;
   * Performance improvement when loading a play list from a file;
   * Simplified the Media class and removed some sub-objects and their caches;
 * Fix for memory leak caused by directly calling the private method prepareStatements in PlayList::loadFromViewSource()
 * Code cleanup.

------------------------------------------------------------------------
r106 | darkstar | 2008-05-24 20:11:51 +0200 (Sat, 24 May 2008) | 1 line
Changed paths:
   M /trunk/mediadatabase.cpp
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp

Minor performance fixes
------------------------------------------------------------------------
r105 | darkstar | 2008-05-20 00:59:09 +0200 (Tue, 20 May 2008) | 3 lines
Changed paths:
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   M /trunk/coverartflow.cpp
   M /trunk/coverartflow.h
   M /trunk/distro/skins/default/skin.ini
   M /trunk/distro/skins/default/toolpanel_buttons.png
   M /trunk/mediadatabase.cpp
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   M /trunk/skin.cpp
   M /trunk/skin.h
   M /trunk/toolpanel.cpp
   M /trunk/toolpanel.h

 * Added button + skin to toggle visibility of the cover art flow widget;
 * Changed PlayListItem to use the media id instead of a pointer to a Media instance in order to get rid of direct referencing -> minor speed increase because the Media instance does not need to be looked up during filling of the list view - instead it is looked up on the fly, tradeoff is slightly higher memory usage of 4 bytes per item;
 * Cache sizes decreased in MediaDatabase.
------------------------------------------------------------------------
r104 | darkstar | 2008-05-19 18:57:06 +0200 (Mon, 19 May 2008) | 1 line
Changed paths:
   M /trunk/sqlite_source/sqlite3.c
   D /trunk/sqlite_source/sqlite3.c.org
   M /trunk/sqlite_source/sqlite3.h
   M /trunk/sqlite_source/sqlite3ext.h

Updated SQLite to 3.5.9
------------------------------------------------------------------------
r103 | darkstar | 2008-05-12 02:50:16 +0200 (Mon, 12 May 2008) | 1 line
Changed paths:
   M /trunk/coverartflow.cpp
   M /trunk/coverartflow.h

Added timer to automatically start preloading of images once one image was found that is not available from the cache.
------------------------------------------------------------------------
r102 | darkstar | 2008-05-10 05:22:26 +0200 (Sat, 10 May 2008) | 1 line
Changed paths:
   M /trunk/coverartflow.cpp

Fixed CoverArtFlow::getImage to not cause trouble by dereferencing a null pointer.
------------------------------------------------------------------------
r101 | darkstar | 2008-05-08 02:26:01 +0200 (Thu, 08 May 2008) | 4 lines
Changed paths:
   M /trunk/coverartflow.cpp
   M /trunk/coverartflow.h
   M /trunk/debug.h
   M /trunk/mediaidentifier.cpp
   M /trunk/playlist.h
   M /trunk/playlistoverview.cpp
   M /trunk/quasar-qtopia.pro
   M /trunk/sqlite_source/sqlite3.c
   M /trunk/sqlite_source/sqlite3.h

 * Added preloading of images in Cover Art Flow;
 * Performance increase in grouping of cover art items;
 * SQLite updated to pre-3.5.9-CVS (5th May 2008) -> 10 - 20% performance boost;
 * Minor fixes.
------------------------------------------------------------------------
r100 | darkstar | 2008-05-05 01:25:07 +0200 (Mon, 05 May 2008) | 2 lines
Changed paths:
   M /trunk/coverartflow.cpp
   M /trunk/coverartflow.h

 * Removed the bogus handling of null images in CoverArtFlow::getImage; handling of null images is now done in CustomCachedImageProvider;
 * Minor optimizations;
------------------------------------------------------------------------
r99 | darkstar | 2008-05-04 21:04:56 +0200 (Sun, 04 May 2008) | 4 lines
Changed paths:
   M /trunk/coverartflow.cpp
   M /trunk/playlist.cpp
   M /trunk/playlist.h

 * Fixed extensionGraphExecutionFinished(), now virtual, doh;
 * Fixed infinite loop blunder;
 * Changed CoverArtFlow to directly jump to the current item if the play list view changes.

------------------------------------------------------------------------
r98 | darkstar | 2008-05-04 19:34:21 +0200 (Sun, 04 May 2008) | 3 lines
Changed paths:
   M /trunk/coverartflow.cpp
   M /trunk/coverartflow.h
   M /trunk/playlist.cpp
   M /trunk/playlist.h

 * Added callback method extensionGraphExecutionFinished() in PlayListViewExtension;
 * Changed CoverArtFlow to update index when the play list view was completely loaded and the current item was set, use extensionGraphExecutionFinished() instead of execute();
 * Refactorings.
------------------------------------------------------------------------
r97 | darkstar | 2008-05-04 16:19:01 +0200 (Sun, 04 May 2008) | 2 lines
Changed paths:
   M /trunk/coverartflow.cpp
   M /trunk/coverartflow.h

 * Added code to avoid excessive searching for cover art image files, when an image was dropped from the memory cache and no cover art image was found for the file;
 * Added code to automatically reselect the cover art group of the current item or the first group when the content in play list changes (due to filtering for instance).
------------------------------------------------------------------------
r96 | darkstar | 2008-05-04 04:09:57 +0200 (Sun, 04 May 2008) | 2 lines
Changed paths:
   M /trunk/coverartflow.cpp
   M /trunk/coverartflow.h
   M /trunk/playlist.h

 * Added preliminary code to display artist and album in the cover art flow widget;
 * Added feature to mutually set the current item in either the cover art flow widget or the play list widget depending on what was clicked.
------------------------------------------------------------------------
r95 | darkstar | 2008-05-04 01:27:25 +0200 (Sun, 04 May 2008) | 1 line
Changed paths:
   A /trunk/compat/sharp-qtopia/qt/qthread.h
   A /trunk/compat/sharp-qtopia/qt/qthread_p.h
   A /trunk/compat/sharp-qtopia/qt/qthread_unix.cpp
   A /trunk/compat/sharp-qtopia/qt/qthread_unix.moc
   M /trunk/coverartflow.cpp
   M /trunk/quasar-qtopia.pro

 * QThread compatibility classes added for Sharp's version of Qtopia
------------------------------------------------------------------------
r94 | darkstar | 2008-05-03 04:20:48 +0200 (Sat, 03 May 2008) | 1 line
Changed paths:
   M /trunk/quasar-qt.pro

Compilation fix
------------------------------------------------------------------------
r93 | darkstar | 2008-05-03 03:13:58 +0200 (Sat, 03 May 2008) | 4 lines
Changed paths:
   M /trunk
   M /trunk/coverart.cpp
   M /trunk/coverartflow.cpp
   M /trunk/coverartflow.h
   M /trunk/coverartprovider.cpp
   M /trunk/coverartprovider.h
   M /trunk/debug.h
   D /trunk/imagefx.cpp
   D /trunk/imagefx.h
   M /trunk/mediaidentifier.cpp
   M /trunk/mediaidentifier.h
   M /trunk/playinfo.cpp
   M /trunk/playinfo.h
   M /trunk/quasar-mingw.pro
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp
   M /trunk/quasar.h

 * FlowMatix source code added as external;
 * Replaced the test listbox widget with a flow control based on FlowMatix;
 * Made CoverArtProvider a singleton;
 * Added preliminary loadCoverDirectly method to CoverArtProvider until we completely move the caching code to the CoverArt widget.
------------------------------------------------------------------------
r92 | darkstar | 2008-04-28 00:10:11 +0200 (Mon, 28 Apr 2008) | 6 lines
Changed paths:
   A /trunk/coverartflow.cpp
   A /trunk/coverartflow.h
   M /trunk/debug.h
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/playlistoverview.cpp
   M /trunk/playlistoverview.h
   M /trunk/quasar-qt.pro
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   M /trunk/simplefiledialog.cpp

 * First wave of changes to clean up the mess that is class PlayList;
 * Added methods to filter the playlist during building and loading of the view by means of a minimalistic filter graph;
 * Modified PlayListOverview to utilize the aforementioned interface and method;
 * Introduced logic and test control for the cover art flow feature;
 * Fixed compilation on Qtopia (simplefiledialog.cpp);
 * Cleanup.
------------------------------------------------------------------------
r91 | darkstar | 2008-03-22 02:26:58 +0100 (Sat, 22 Mar 2008) | 6 lines
Changed paths:
   M /trunk/config/uiconfig.cpp
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   M /trunk/configurationdialog.cpp
   M /trunk/coverartprovider.cpp
   M /trunk/debug.cpp
   M /trunk/imagefx.h
   M /trunk/main.cpp
   M /trunk/mediaidentifier.cpp
   M /trunk/mediaidentifier.h
   M /trunk/playlistmanager.cpp
   M /trunk/quasar.cpp
   M /trunk/simplefiledialog.cpp
   M /trunk/skin.cpp

 * Fixed saving and loading of playlists containing special characters;
   * Playlists created and saved in Quasar will always be saved in UTF-8 encoding;
   * Code for loading playlists now attempts to detect an UTF-8 encoding and reverts back to locale setting in case it can't find any UTF-8 sequences;
 * Pathes in playlist files are now saved relative to the path of the playlist if possible;
 * Added code to save and resolve file locations and pathes in the config file in a relative fashion to either the application's directory or volume if possible;
 * Cleanup;
------------------------------------------------------------------------
r90 | darkstar | 2008-03-19 00:01:07 +0100 (Wed, 19 Mar 2008) | 2 lines
Changed paths:
   M /trunk/config/uiconfig.cpp
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   M /trunk/configurationdialog.cpp
   M /trunk/main.cpp
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/quasar.cpp

 * Introduced class GlobalConfiguration that holds vital information to paths and files. It also controls (by reading from an ini file) whether or not the application will run in the self-contained mode, i.e. a mode in which all config and data files as well as the media database are located within program directory;
 * Cleanup.
------------------------------------------------------------------------
r89 | darkstar | 2008-03-17 23:21:03 +0100 (Mon, 17 Mar 2008) | 1 line
Changed paths:
   M /trunk/mediadatabase.cpp

 * Changed SQL statement for loadMediaHeuristically to tolerate minor deviations in modified_date (+/- 1 s) to detect files copied from NTFS to FAT32; FAT32 only has 2 second granularity, thus seconds in the file's timestamps are always even;
------------------------------------------------------------------------
r88 | darkstar | 2008-03-16 23:47:37 +0100 (Sun, 16 Mar 2008) | 3 lines
Changed paths:
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/quasar-mingw.pro
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   A /trunk/simplefiledialog.cpp
   M /trunk/simplefiledialog.h
   M /trunk/skinpanel.cpp

 * Fixed compilation for Qtopia and pdaXrom;
 * Got rid of some "no newline at end of file" warnings;
 * SimpleFileDialog moved to separate cpp file due to new QRegExp compat class in sharp-qtopia.
------------------------------------------------------------------------
r87 | darkstar | 2008-03-16 23:00:20 +0100 (Sun, 16 Mar 2008) | 4 lines
Changed paths:
   D /trunk/compat/config.cpp
   D /trunk/compat/config.h
   A /trunk/compat/qt3
   A /trunk/compat/qt3/config.cpp (from /trunk/compat/config.cpp:85)
   A /trunk/compat/qt3/config.h (from /trunk/compat/config.h:85)
   A /trunk/compat/qt3/resource.cpp (from /trunk/compat/resource.cpp:85)
   A /trunk/compat/qt3/resource.h (from /trunk/compat/resource.h:85)
   D /trunk/compat/resource.cpp
   D /trunk/compat/resource.h
   A /trunk/compat/sharp-qtopia
   A /trunk/compat/sharp-qtopia/qt
   A /trunk/compat/sharp-qtopia/qt/qcleanuphandler.h
   A /trunk/compat/sharp-qtopia/qt/qeffects_p.h
   A /trunk/compat/sharp-qtopia/qt/qinputdialog.cpp
   A /trunk/compat/sharp-qtopia/qt/qinputdialog.h
   A /trunk/compat/sharp-qtopia/qt/qinternal.cpp
   A /trunk/compat/sharp-qtopia/qt/qinternal_p.h
   A /trunk/compat/sharp-qtopia/qt/qlayoutengine_p.h
   A /trunk/compat/sharp-qtopia/qt/qlistview.cpp
   A /trunk/compat/sharp-qtopia/qt/qlistview.h
   A /trunk/compat/sharp-qtopia/qt/qmemarray.h
   A /trunk/compat/sharp-qtopia/qt/qplatformdefs.h
   A /trunk/compat/sharp-qtopia/qt/qpopupmenu.cpp
   A /trunk/compat/sharp-qtopia/qt/qprocess.cpp
   A /trunk/compat/sharp-qtopia/qt/qprocess.h
   A /trunk/compat/sharp-qtopia/qt/qprocess_unix.cpp
   A /trunk/compat/sharp-qtopia/qt/qprocess_unix.moc
   A /trunk/compat/sharp-qtopia/qt/qprogressdialog.cpp
   A /trunk/compat/sharp-qtopia/qt/qprogressdialog.h
   A /trunk/compat/sharp-qtopia/qt/qptrcollection.cpp
   A /trunk/compat/sharp-qtopia/qt/qptrcollection.h
   A /trunk/compat/sharp-qtopia/qt/qptrdict.h
   A /trunk/compat/sharp-qtopia/qt/qptrlist.h
   A /trunk/compat/sharp-qtopia/qt/qptrqueue.h
   A /trunk/compat/sharp-qtopia/qt/qptrvector.h
   A /trunk/compat/sharp-qtopia/qt/qregexp.cpp
   A /trunk/compat/sharp-qtopia/qt/qregexp.h
   A /trunk/compat/sharp-qtopia/qt/qsemimodal.cpp
   A /trunk/compat/sharp-qtopia/qt/qsemimodal.h
   A /trunk/compat/sharp-qtopia/qt/qsplitter.cpp
   A /trunk/compat/sharp-qtopia/qt/qsplitter.h
   A /trunk/compat/sharp-qtopia/tkmix (from /trunk/tkmix:85)
   D /trunk/compat/wincompat.h
   A /trunk/compat/windows
   A /trunk/compat/windows/wincompat.h (from /trunk/compat/wincompat.h:86)
   M /trunk/config/coverartconfig.cpp
   M /trunk/config/mplayerconfig.cpp
   M /trunk/configuration.h
   A /trunk/distro/images/quasar.ico
   M /trunk/playlistmanager.cpp
   D /trunk/qt
   M /trunk/quasar-mingw.pro
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp
   A /trunk/quasar.rc
   A /trunk/simplefiledialog.h
   D /trunk/tkmix

 * Directory structure changed, especially all compatibility stuff resides in one directory now;
 * File dialogs replaced with wrapper class SimpleFileDialog that uses either QFileDialog or QTKFileDialog depending on whether define USE_NATIVE_FILEDIALOGS is set or not;
 * Added icon ressource to Windows version;
 * Cleanup.
------------------------------------------------------------------------
r86 | darkstar | 2008-03-16 01:26:34 +0100 (Sun, 16 Mar 2008) | 1 line
Changed paths:
   A /trunk/README
   A /trunk/compat/wincompat.h
   M /trunk/debug.cpp
   M /trunk/distro/skeletons/pdaXrom/CONTROL/control
   M /trunk/distro/skeletons/sharp/CONTROL/control
   M /trunk/externalservices.cpp
   M /trunk/media.cpp
   M /trunk/mediadatabase.cpp
   M /trunk/mediaidentifier.cpp
   M /trunk/mplayer.cpp
   A /trunk/quasar-mingw.pro
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp
   M /trunk/seekbar.h
   M /trunk/system_volume.cpp
   M /trunk/tag/taglib/taglib/taglib_export.h
   M /trunk/tag/taglib_addons/audible/audibleproperties.cpp
   M /trunk/tag/taglib_addons/audible/audibletag.cpp
   M /trunk/tag/taglib_addons/rmff/rmff.cpp
   M /trunk/tag/taglib_addons/wav/wavproperties.cpp
   M /trunk/videoplaybackwindow.cpp

 * First wave of changes to get Quasar to compile on MinGW (file dialogs still need work)
------------------------------------------------------------------------
r85 | darkstar | 2007-12-31 01:40:12 +0100 (Mon, 31 Dec 2007) | 3 lines
Changed paths:
   M /trunk/aboutdialog.cpp
   M /trunk/externalservices.cpp
   M /trunk/externalservices.h
   M /trunk/playlistmanager.cpp

 * Fixed the external services class to create fully escaped strings in the shell script output;
 * Removed filter "All Files" from the playlist open dialog;
 * Minor fix in the rich text markup in the about dialog.
------------------------------------------------------------------------
r84 | darkstar | 2007-12-30 18:49:05 +0100 (Sun, 30 Dec 2007) | 1 line
Changed paths:
   M /trunk/sqlite_source/sqlite3.c
   M /trunk/sqlite_source/sqlite3.c.org
   M /trunk/sqlite_source/sqlite3.h
   A /trunk/sqlite_source/sqlite3ext.h

SQLite updated to amalgamated version 3.5.4 + vdbeaux.c optimization.
------------------------------------------------------------------------
r82 | darkstar | 2007-10-29 00:04:28 +0100 (Mon, 29 Oct 2007) | 1 line
Changed paths:
   M /trunk/externalservices.cpp

Fixed creation of temporary filename in ExternalServices class when username isn't set in environment vars.
------------------------------------------------------------------------
r81 | darkstar | 2007-10-28 22:11:39 +0100 (Sun, 28 Oct 2007) | 4 lines
Changed paths:
   M /trunk/aboutdialog.cpp
   M /trunk/action.cpp
   M /trunk/config/hotkeyconfig.cpp
   M /trunk/coverartprovider.cpp
   M /trunk/coverartprovider.h
   M /trunk/distro/skeletons/pdaXrom/home/root/.quasar/quasar.conf
   M /trunk/mplayer.cpp
   M /trunk/quasar.cpp
   M /trunk/textviewdialog.cpp

 * Changed MPlayer class to return arguments in case of an error;
 * Default hotkeys updated;
 * Simplified code of cover art provider;
 * Cleanup and minor changes.
------------------------------------------------------------------------
r80 | darkstar | 2007-10-28 01:59:21 +0200 (Sun, 28 Oct 2007) | 3 lines
Changed paths:
   M /trunk/action.cpp
   M /trunk/action.h
   M /trunk/config/hotkeyconfig.cpp
   M /trunk/configuration.cpp
   M /trunk/distro/skins/default/bg_h.png
   M /trunk/distro/skins/default/bg_v.png
   M /trunk/distro/skins/default/skin.ini
   M /trunk/distro/skins/default/volknob.png
   M /trunk/mplayer.cpp
   M /trunk/quasar.cpp
   M /trunk/quasar.h

 * Default skin updated for ticket #3;
 * Menu and action setup code simplified; also fixes ticket #5;
 * Added m4v format file extension as ambiguous format, because it is scanned by TagLib too and we need to force a video track identification via MPlayer.
------------------------------------------------------------------------
r79 | darkstar | 2007-10-26 00:58:31 +0200 (Fri, 26 Oct 2007) | 3 lines
Changed paths:
   M /trunk/distro/skeletons/pdaXrom/home/root/.quasar/quasar.conf
   M /trunk/distro/skins/default/skin.ini
   M /trunk/videoplaybackwindow.cpp

 * Fixed problem of disappearing video playback window after screen rotation;
 * Modified box size of toolpanel status text in default skin to better fit text and font size;
 * Updated pdaXrom default config.
------------------------------------------------------------------------
r78 | darkstar | 2007-10-25 23:30:02 +0200 (Thu, 25 Oct 2007) | 1 line
Changed paths:
   M /trunk/configuration.cpp

Fixed APP_VERSION value in config file.
------------------------------------------------------------------------
r77 | darkstar | 2007-10-25 01:22:54 +0200 (Thu, 25 Oct 2007) | 4 lines
Changed paths:
   M /trunk/aboutdialog.cpp
   M /trunk/config/hotkeyconfig.cpp
   M /trunk/config/identifykeydialog.cpp
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   M /trunk/mplayer.cpp
   M /trunk/quasar.cpp
   M /trunk/quasar.h

 * Hot key configuration dialog slightly improved with better key scanning dialog (will detect OK key now);
 * OSD will now be temporarily displayed after seeking in a video;
 * The initialization code will take care of deleting the database of older releases, so we can rescan all files using TagLib;
 * The application and database version will now be saved in the config file.
------------------------------------------------------------------------
r76 | darkstar | 2007-10-22 02:53:22 +0200 (Mon, 22 Oct 2007) | 2 lines
Changed paths:
   M /trunk/media.cpp

Media will now save an empty value in the DB for a missing track no.

------------------------------------------------------------------------
r75 | darkstar | 2007-10-22 02:46:25 +0200 (Mon, 22 Oct 2007) | 4 lines
Changed paths:
   M /trunk/config/generalconfig.cpp
   M /trunk/config/mplayerconfig.cpp
   M /trunk/mplayer.cpp
   M /trunk/mplayer.h
   M /trunk/quasar.cpp

 * Better logging and reporting of mplayer error messages;
 * Explicitly calls stop() if nothing else is left to be played to make sure the display is reset;
 * Changed MPlayer encapsulation to not recycle the current mplayer process when playing videos. This works around error messages while trying to open /dev/bvdd;
 * Yet another cleanup action in the configuration dialog.
------------------------------------------------------------------------
r74 | darkstar | 2007-10-22 00:35:33 +0200 (Mon, 22 Oct 2007) | 5 lines
Changed paths:
   M /trunk/config/mplayerconfig.cpp
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   M /trunk/imagefx.cpp
   M /trunk/media.cpp
   M /trunk/mediaidentifier.cpp
   M /trunk/mplayer.cpp
   M /trunk/playlistmanager.cpp

 * Improved scanning of files that may contain both audio or video and have an ambiguous format file extensions, e.g. .mp4 files. Both TagLib and MPlayer will be used for those files;
 * Improved description of options in the MPlayer configuration dialog;
 * Files with missing track no. information will no longer carry a "-" in the No. field;
 * Fixed detection of video files during identification (step-down-issue). Actually, this reenabled the video playback feature in Quasar. Doh!
 * The add media dialog will only display registered formats now.
------------------------------------------------------------------------
r73 | darkstar | 2007-10-15 00:06:42 +0200 (Mon, 15 Oct 2007) | 5 lines
Changed paths:
   M /trunk/aboutdialog.cpp
   M /trunk/config/formatsconfig.cpp
   M /trunk/config/formatsconfig.h
   M /trunk/config/generalconfig.cpp
   M /trunk/config/hotkeyconfig.cpp
   M /trunk/config/hotkeyconfig.h
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp
   M /trunk/tag/taglib_addons/wma/wmafile.cpp
   D /trunk/textencoding.cpp
   D /trunk/textencoding.h

 * Fixed crash in WMA TagLib Plugin;
 * Added QCop call to disable suspend on closing the lid;
 * Quasar will now scan using the new format extensions after changing, removing or adding new formats in the configuration (previously worked only after a restart of the app);
 * Added buttons to revert to default hotkeys and formats in configuration dialog;
 * Cleanup.
------------------------------------------------------------------------
r72 | darkstar | 2007-10-14 12:36:05 +0200 (Sun, 14 Oct 2007) | 3 lines
Changed paths:
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   D /trunk/tag/taglib/config.h
   M /trunk/tag/taglib/taglib/mpeg/id3v2/frames/textidentificationframe.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2frame.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2framefactory.cpp
   A /trunk/tag/taglib/taglib-quasar-config.h (from /trunk/tag/taglib/config.h:67)

 * Introduced special config file taglic-quasar-config.h for Quasar;
 * Define QUASAR is always set, so we can use it in third party library;
 * TagLib directory cleanup.
------------------------------------------------------------------------
r71 | darkstar | 2007-10-14 12:18:52 +0200 (Sun, 14 Oct 2007) | 1 line
Changed paths:
   D /trunk/tag/taglib/COPYING
   D /trunk/tag/taglib/ChangeLog
   D /trunk/tag/taglib/Makefile.in
   D /trunk/tag/taglib/README
   D /trunk/tag/taglib/TODO
   D /trunk/tag/taglib/acinclude.m4
   D /trunk/tag/taglib/aclocal.m4
   D /trunk/tag/taglib/admin/ChangeLog
   D /trunk/tag/taglib/admin/cvs-clean.pl
   D /trunk/tag/taglib/admin/detect-autoconf.sh
   D /trunk/tag/taglib/admin/make-changes.diff
   D /trunk/tag/taglib/admin/release.sh
   D /trunk/tag/taglib/admin/svn-clean.pl
   D /trunk/tag/taglib/bindings/Makefile.in
   D /trunk/tag/taglib/bindings/c/Makefile.in
   D /trunk/tag/taglib/config.h.in
   D /trunk/tag/taglib/configure.files
   D /trunk/tag/taglib/configure.in
   D /trunk/tag/taglib/examples/Makefile.in
   D /trunk/tag/taglib/stamp-h.in
   D /trunk/tag/taglib/subdirs
   D /trunk/tag/taglib/taglib/Makefile.in
   D /trunk/tag/taglib/taglib/ape/Makefile.in
   D /trunk/tag/taglib/taglib/configure.in.bot
   D /trunk/tag/taglib/taglib/configure.in.in
   D /trunk/tag/taglib/taglib/flac/Makefile.in
   D /trunk/tag/taglib/taglib/mpc/Makefile.in
   D /trunk/tag/taglib/taglib/mpeg/Makefile.in
   D /trunk/tag/taglib/taglib/mpeg/id3v1/Makefile.in
   D /trunk/tag/taglib/taglib/mpeg/id3v2/Makefile.in
   D /trunk/tag/taglib/taglib/mpeg/id3v2/frames/Makefile.in
   D /trunk/tag/taglib/taglib/ogg/Makefile.in
   D /trunk/tag/taglib/taglib/ogg/flac/Makefile.in
   D /trunk/tag/taglib/taglib/ogg/vorbis/Makefile.in
   D /trunk/tag/taglib/taglib/taglib-config.in
   D /trunk/tag/taglib/taglib/taglib.pc.in
   D /trunk/tag/taglib/taglib/toolkit/Makefile.in
   D /trunk/tag/taglib/taglib-api
   D /trunk/tag/taglib/tests/Makefile.in

TagLib directory cleanup to bring on par with current SVN revision.
------------------------------------------------------------------------
r70 | darkstar | 2007-10-14 05:44:01 +0200 (Sun, 14 Oct 2007) | 2 lines
Changed paths:
   M /trunk/configuration.cpp
   M /trunk/coverartprovider.cpp
   A /trunk/kmdcodec
   A /trunk/kmdcodec/kmdcodec.cpp
   A /trunk/kmdcodec/kmdcodec.h
   M /trunk/mediaidentifier.cpp
   M /trunk/mediaidentifier.h
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro

 * Added additional support for reading embedded cover art images from Ogg (COVERART tag in Xiph Comments), FLAC (currently via ID3v2 or Xiph Comments only), M4A (Cover Art added via iTunes / "covr" MP4 atom);
 * Default formats definition in config updated.
------------------------------------------------------------------------
r69 | darkstar | 2007-10-13 23:43:07 +0200 (Sat, 13 Oct 2007) | 1 line
Changed paths:
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2frame.cpp

Fixed yet another bug in the TagLib SVN code: string fields in frames weren't correctly returned.
------------------------------------------------------------------------
r68 | darkstar | 2007-10-13 21:49:49 +0200 (Sat, 13 Oct 2007) | 1 line
Changed paths:
   M /trunk/tag/taglib/taglib/mpeg/id3v2/frames/attachedpictureframe.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2frame.h

Fixed TagLib SVN code for extraction of an attached picture from a ID3v3 APIC frame.
------------------------------------------------------------------------
r67 | darkstar | 2007-10-12 23:25:07 +0200 (Fri, 12 Oct 2007) | 4 lines
Changed paths:
   M /trunk/distro
   M /trunk/distro/skeletons/pdaXrom/CONTROL/control
   M /trunk/distro/skeletons/sharp/CONTROL/control
   M /trunk/main.cpp
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   A /trunk/tag/taglib_addons
   A /trunk/tag/taglib_addons/CMakeLists.txt
   A /trunk/tag/taglib_addons/aac
   A /trunk/tag/taglib_addons/aac/aacfiletyperesolver.cpp
   A /trunk/tag/taglib_addons/aac/aacfiletyperesolver.h
   A /trunk/tag/taglib_addons/audible
   A /trunk/tag/taglib_addons/audible/audibleproperties.cpp
   A /trunk/tag/taglib_addons/audible/audibleproperties.h
   A /trunk/tag/taglib_addons/audible/audibletag.cpp
   A /trunk/tag/taglib_addons/audible/audibletag.h
   A /trunk/tag/taglib_addons/audible/taglib_audiblefile.cpp
   A /trunk/tag/taglib_addons/audible/taglib_audiblefile.h
   A /trunk/tag/taglib_addons/audible/taglib_audiblefiletyperesolver.cpp
   A /trunk/tag/taglib_addons/audible/taglib_audiblefiletyperesolver.h
   A /trunk/tag/taglib_addons/m4a
   A /trunk/tag/taglib_addons/m4a/boxfactory.cpp
   A /trunk/tag/taglib_addons/m4a/boxfactory.h
   A /trunk/tag/taglib_addons/m4a/itunesalbbox.cpp
   A /trunk/tag/taglib_addons/m4a/itunesalbbox.h
   A /trunk/tag/taglib_addons/m4a/itunesartbox.cpp
   A /trunk/tag/taglib_addons/m4a/itunesartbox.h
   A /trunk/tag/taglib_addons/m4a/itunescmtbox.cpp
   A /trunk/tag/taglib_addons/m4a/itunescmtbox.h
   A /trunk/tag/taglib_addons/m4a/itunescvrbox.cpp
   A /trunk/tag/taglib_addons/m4a/itunescvrbox.h
   A /trunk/tag/taglib_addons/m4a/itunesdatabox.cpp
   A /trunk/tag/taglib_addons/m4a/itunesdatabox.h
   A /trunk/tag/taglib_addons/m4a/itunesdaybox.cpp
   A /trunk/tag/taglib_addons/m4a/itunesdaybox.h
   A /trunk/tag/taglib_addons/m4a/itunesdiskbox.cpp
   A /trunk/tag/taglib_addons/m4a/itunesdiskbox.h
   A /trunk/tag/taglib_addons/m4a/itunesgenbox.cpp
   A /trunk/tag/taglib_addons/m4a/itunesgenbox.h
   A /trunk/tag/taglib_addons/m4a/itunesgrpbox.cpp
   A /trunk/tag/taglib_addons/m4a/itunesgrpbox.h
   A /trunk/tag/taglib_addons/m4a/itunesnambox.cpp
   A /trunk/tag/taglib_addons/m4a/itunesnambox.h
   A /trunk/tag/taglib_addons/m4a/itunestmpobox.cpp
   A /trunk/tag/taglib_addons/m4a/itunestmpobox.h
   A /trunk/tag/taglib_addons/m4a/itunestrknbox.cpp
   A /trunk/tag/taglib_addons/m4a/itunestrknbox.h
   A /trunk/tag/taglib_addons/m4a/ituneswrtbox.cpp
   A /trunk/tag/taglib_addons/m4a/ituneswrtbox.h
   A /trunk/tag/taglib_addons/m4a/mp4audioproperties.cpp
   A /trunk/tag/taglib_addons/m4a/mp4audioproperties.h
   A /trunk/tag/taglib_addons/m4a/mp4audiosampleentry.cpp
   A /trunk/tag/taglib_addons/m4a/mp4audiosampleentry.h
   A /trunk/tag/taglib_addons/m4a/mp4file.cpp
   A /trunk/tag/taglib_addons/m4a/mp4file.h
   A /trunk/tag/taglib_addons/m4a/mp4fourcc.cpp
   A /trunk/tag/taglib_addons/m4a/mp4fourcc.h
   A /trunk/tag/taglib_addons/m4a/mp4hdlrbox.cpp
   A /trunk/tag/taglib_addons/m4a/mp4hdlrbox.h
   A /trunk/tag/taglib_addons/m4a/mp4ilstbox.cpp
   A /trunk/tag/taglib_addons/m4a/mp4ilstbox.h
   A /trunk/tag/taglib_addons/m4a/mp4isobox.cpp
   A /trunk/tag/taglib_addons/m4a/mp4isobox.h
   A /trunk/tag/taglib_addons/m4a/mp4isofullbox.cpp
   A /trunk/tag/taglib_addons/m4a/mp4isofullbox.h
   A /trunk/tag/taglib_addons/m4a/mp4itunestag.cpp
   A /trunk/tag/taglib_addons/m4a/mp4itunestag.h
   A /trunk/tag/taglib_addons/m4a/mp4mdiabox.cpp
   A /trunk/tag/taglib_addons/m4a/mp4mdiabox.h
   A /trunk/tag/taglib_addons/m4a/mp4metabox.cpp
   A /trunk/tag/taglib_addons/m4a/mp4metabox.h
   A /trunk/tag/taglib_addons/m4a/mp4minfbox.cpp
   A /trunk/tag/taglib_addons/m4a/mp4minfbox.h
   A /trunk/tag/taglib_addons/m4a/mp4moovbox.cpp
   A /trunk/tag/taglib_addons/m4a/mp4moovbox.h
   A /trunk/tag/taglib_addons/m4a/mp4mvhdbox.cpp
   A /trunk/tag/taglib_addons/m4a/mp4mvhdbox.h
   A /trunk/tag/taglib_addons/m4a/mp4propsproxy.cpp
   A /trunk/tag/taglib_addons/m4a/mp4propsproxy.h
   A /trunk/tag/taglib_addons/m4a/mp4sampleentry.cpp
   A /trunk/tag/taglib_addons/m4a/mp4sampleentry.h
   A /trunk/tag/taglib_addons/m4a/mp4skipbox.cpp
   A /trunk/tag/taglib_addons/m4a/mp4skipbox.h
   A /trunk/tag/taglib_addons/m4a/mp4stblbox.cpp
   A /trunk/tag/taglib_addons/m4a/mp4stblbox.h
   A /trunk/tag/taglib_addons/m4a/mp4stsdbox.cpp
   A /trunk/tag/taglib_addons/m4a/mp4stsdbox.h
   A /trunk/tag/taglib_addons/m4a/mp4tagsproxy.cpp
   A /trunk/tag/taglib_addons/m4a/mp4tagsproxy.h
   A /trunk/tag/taglib_addons/m4a/mp4trakbox.cpp
   A /trunk/tag/taglib_addons/m4a/mp4trakbox.h
   A /trunk/tag/taglib_addons/m4a/mp4udtabox.cpp
   A /trunk/tag/taglib_addons/m4a/mp4udtabox.h
   A /trunk/tag/taglib_addons/m4a/taglib_mp4filetyperesolver.cpp
   A /trunk/tag/taglib_addons/m4a/taglib_mp4filetyperesolver.h
   A /trunk/tag/taglib_addons/rmff
   A /trunk/tag/taglib_addons/rmff/rmff.cpp
   A /trunk/tag/taglib_addons/rmff/rmff.h
   A /trunk/tag/taglib_addons/rmff/taglib_realmediafile.cpp
   A /trunk/tag/taglib_addons/rmff/taglib_realmediafile.h
   A /trunk/tag/taglib_addons/rmff/taglib_realmediafiletyperesolver.cpp
   A /trunk/tag/taglib_addons/rmff/taglib_realmediafiletyperesolver.h
   A /trunk/tag/taglib_addons/speex
   A /trunk/tag/taglib_addons/speex/speexfile.cpp
   A /trunk/tag/taglib_addons/speex/speexfile.h
   A /trunk/tag/taglib_addons/speex/speexproperties.cpp
   A /trunk/tag/taglib_addons/speex/speexproperties.h
   A /trunk/tag/taglib_addons/speex/taglib_speexfiletyperesolver.cpp
   A /trunk/tag/taglib_addons/speex/taglib_speexfiletyperesolver.h
   A /trunk/tag/taglib_addons/tplugins.cpp
   A /trunk/tag/taglib_addons/tplugins.h
   A /trunk/tag/taglib_addons/trueaudio
   A /trunk/tag/taglib_addons/trueaudio/combinedtag.h
   A /trunk/tag/taglib_addons/trueaudio/taglib_trueaudiofiletyperesolver.cpp
   A /trunk/tag/taglib_addons/trueaudio/taglib_trueaudiofiletyperesolver.h
   A /trunk/tag/taglib_addons/trueaudio/ttafile.cpp
   A /trunk/tag/taglib_addons/trueaudio/ttafile.h
   A /trunk/tag/taglib_addons/trueaudio/ttaproperties.cpp
   A /trunk/tag/taglib_addons/trueaudio/ttaproperties.h
   A /trunk/tag/taglib_addons/wav
   A /trunk/tag/taglib_addons/wav/wavfile.cpp
   A /trunk/tag/taglib_addons/wav/wavfile.h
   A /trunk/tag/taglib_addons/wav/wavfiletyperesolver.cpp
   A /trunk/tag/taglib_addons/wav/wavfiletyperesolver.h
   A /trunk/tag/taglib_addons/wav/wavproperties.cpp
   A /trunk/tag/taglib_addons/wav/wavproperties.h
   A /trunk/tag/taglib_addons/wavpack
   A /trunk/tag/taglib_addons/wavpack/combinedtag.h
   A /trunk/tag/taglib_addons/wavpack/taglib_wavpackfiletyperesolver.cpp
   A /trunk/tag/taglib_addons/wavpack/taglib_wavpackfiletyperesolver.h
   A /trunk/tag/taglib_addons/wavpack/wvfile.cpp
   A /trunk/tag/taglib_addons/wavpack/wvfile.h
   A /trunk/tag/taglib_addons/wavpack/wvproperties.cpp
   A /trunk/tag/taglib_addons/wavpack/wvproperties.h
   A /trunk/tag/taglib_addons/wma
   A /trunk/tag/taglib_addons/wma/taglib_wmafiletyperesolver.cpp
   A /trunk/tag/taglib_addons/wma/taglib_wmafiletyperesolver.h
   A /trunk/tag/taglib_addons/wma/wmaattribute.cpp
   A /trunk/tag/taglib_addons/wma/wmaattribute.h
   A /trunk/tag/taglib_addons/wma/wmafile.cpp
   A /trunk/tag/taglib_addons/wma/wmafile.h
   A /trunk/tag/taglib_addons/wma/wmaproperties.cpp
   A /trunk/tag/taglib_addons/wma/wmaproperties.h
   A /trunk/tag/taglib_addons/wma/wmatag.cpp
   A /trunk/tag/taglib_addons/wma/wmatag.h

 * Additional TagLib plugins imported from Amarok trunk (svn://anonsvn.kde.org/home/kde/trunk/extragear/multimedia/amarok/src/metadata):
   * Modified to work without Amarok sources;
   * Fixes to work without RTTI (Qt on the Zaurus was not compiled with RTTI support).
 * Minor changes in the distro files.
------------------------------------------------------------------------
r66 | darkstar | 2007-10-12 01:55:34 +0200 (Fri, 12 Oct 2007) | 1 line
Changed paths:
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   A /trunk/tag/taglib/CMakeLists.txt
   A /trunk/tag/taglib/COPYING.LGPL
   A /trunk/tag/taglib/COPYING.MPL
   A /trunk/tag/taglib/ConfigureChecks.cmake
   M /trunk/tag/taglib/Makefile.am
   M /trunk/tag/taglib/admin/Doxyfile.am
   M /trunk/tag/taglib/admin/Doxyfile.global
   M /trunk/tag/taglib/admin/Makefile.common
   M /trunk/tag/taglib/admin/acinclude.m4.in
   M /trunk/tag/taglib/admin/am_edit
   A /trunk/tag/taglib/admin/bcheck.pl
   M /trunk/tag/taglib/admin/compile
   M /trunk/tag/taglib/admin/conf.change.pl
   M /trunk/tag/taglib/admin/config.guess
   M /trunk/tag/taglib/admin/config.pl
   M /trunk/tag/taglib/admin/config.sub
   M /trunk/tag/taglib/admin/configure.in.min
   M /trunk/tag/taglib/admin/cvs.sh
   M /trunk/tag/taglib/admin/depcomp
   A /trunk/tag/taglib/admin/deps.am
   A /trunk/tag/taglib/admin/detect-autoconf.pl
   A /trunk/tag/taglib/admin/doxygen.sh
   M /trunk/tag/taglib/admin/install-sh
   M /trunk/tag/taglib/admin/libtool.m4.in
   M /trunk/tag/taglib/admin/ltmain.sh
   M /trunk/tag/taglib/admin/missing
   M /trunk/tag/taglib/admin/mkinstalldirs
   A /trunk/tag/taglib/admin/nmcheck
   A /trunk/tag/taglib/admin/oldinclude.m4.in
   A /trunk/tag/taglib/admin/pkg.m4.in
   M /trunk/tag/taglib/admin/ylwrap
   A /trunk/tag/taglib/bindings/CMakeLists.txt
   A /trunk/tag/taglib/bindings/c/CMakeLists.txt
   M /trunk/tag/taglib/bindings/c/Makefile.am
   A /trunk/tag/taglib/bindings/c/configure.in.in
   M /trunk/tag/taglib/bindings/c/tag_c.cpp
   M /trunk/tag/taglib/bindings/c/tag_c.h
   A /trunk/tag/taglib/bindings/c/taglib_c.pc.cmake
   A /trunk/tag/taglib/bindings/c/taglib_c.pc.in
   A /trunk/tag/taglib/config-taglib.h.cmake
   A /trunk/tag/taglib/configure.in.bot
   M /trunk/tag/taglib/configure.in.in
   A /trunk/tag/taglib/examples/CMakeLists.txt
   M /trunk/tag/taglib/examples/tagwriter.cpp
   A /trunk/tag/taglib/taglib/CMakeLists.txt
   M /trunk/tag/taglib/taglib/Makefile.am
   A /trunk/tag/taglib/taglib/ape/CMakeLists.txt
   M /trunk/tag/taglib/taglib/ape/Makefile.am
   M /trunk/tag/taglib/taglib/ape/apefooter.cpp
   M /trunk/tag/taglib/taglib/ape/apefooter.h
   M /trunk/tag/taglib/taglib/ape/apeitem.cpp
   M /trunk/tag/taglib/taglib/ape/apeitem.h
   M /trunk/tag/taglib/taglib/ape/apetag.cpp
   M /trunk/tag/taglib/taglib/ape/apetag.h
   M /trunk/tag/taglib/taglib/audioproperties.cpp
   M /trunk/tag/taglib/taglib/audioproperties.h
   M /trunk/tag/taglib/taglib/fileref.cpp
   M /trunk/tag/taglib/taglib/fileref.h
   A /trunk/tag/taglib/taglib/flac/CMakeLists.txt
   M /trunk/tag/taglib/taglib/flac/Makefile.am
   M /trunk/tag/taglib/taglib/flac/flacfile.cpp
   M /trunk/tag/taglib/taglib/flac/flacfile.h
   M /trunk/tag/taglib/taglib/flac/flacproperties.cpp
   M /trunk/tag/taglib/taglib/flac/flacproperties.h
   M /trunk/tag/taglib/taglib/flac/flactag.h
   A /trunk/tag/taglib/taglib/mpc/CMakeLists.txt
   M /trunk/tag/taglib/taglib/mpc/Makefile.am
   M /trunk/tag/taglib/taglib/mpc/combinedtag.h
   M /trunk/tag/taglib/taglib/mpc/mpcfile.cpp
   M /trunk/tag/taglib/taglib/mpc/mpcfile.h
   M /trunk/tag/taglib/taglib/mpc/mpcproperties.cpp
   M /trunk/tag/taglib/taglib/mpc/mpcproperties.h
   A /trunk/tag/taglib/taglib/mpeg/CMakeLists.txt
   M /trunk/tag/taglib/taglib/mpeg/Makefile.am
   A /trunk/tag/taglib/taglib/mpeg/id3v1/CMakeLists.txt
   M /trunk/tag/taglib/taglib/mpeg/id3v1/Makefile.am
   M /trunk/tag/taglib/taglib/mpeg/id3v1/id3v1genres.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v1/id3v1genres.h
   M /trunk/tag/taglib/taglib/mpeg/id3v1/id3v1tag.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v1/id3v1tag.h
   A /trunk/tag/taglib/taglib/mpeg/id3v2/CMakeLists.txt
   M /trunk/tag/taglib/taglib/mpeg/id3v2/Makefile.am
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames/CMakeLists.txt
   M /trunk/tag/taglib/taglib/mpeg/id3v2/frames/Makefile.am
   M /trunk/tag/taglib/taglib/mpeg/id3v2/frames/attachedpictureframe.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v2/frames/attachedpictureframe.h
   M /trunk/tag/taglib/taglib/mpeg/id3v2/frames/commentsframe.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v2/frames/commentsframe.h
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames/generalencapsulatedobjectframe.cpp
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames/generalencapsulatedobjectframe.h
   M /trunk/tag/taglib/taglib/mpeg/id3v2/frames/relativevolumeframe.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v2/frames/relativevolumeframe.h
   M /trunk/tag/taglib/taglib/mpeg/id3v2/frames/textidentificationframe.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v2/frames/textidentificationframe.h
   M /trunk/tag/taglib/taglib/mpeg/id3v2/frames/uniquefileidentifierframe.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v2/frames/uniquefileidentifierframe.h
   M /trunk/tag/taglib/taglib/mpeg/id3v2/frames/unknownframe.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v2/frames/unknownframe.h
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2extendedheader.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2extendedheader.h
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2footer.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2footer.h
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2frame.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2frame.h
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2framefactory.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2framefactory.h
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2header.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2header.h
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2synchdata.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2synchdata.h
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2tag.cpp
   M /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2tag.h
   M /trunk/tag/taglib/taglib/mpeg/mpegfile.cpp
   M /trunk/tag/taglib/taglib/mpeg/mpegfile.h
   M /trunk/tag/taglib/taglib/mpeg/mpegheader.cpp
   M /trunk/tag/taglib/taglib/mpeg/mpegheader.h
   M /trunk/tag/taglib/taglib/mpeg/mpegproperties.cpp
   M /trunk/tag/taglib/taglib/mpeg/mpegproperties.h
   M /trunk/tag/taglib/taglib/mpeg/xingheader.cpp
   M /trunk/tag/taglib/taglib/mpeg/xingheader.h
   A /trunk/tag/taglib/taglib/ogg/CMakeLists.txt
   M /trunk/tag/taglib/taglib/ogg/Makefile.am
   A /trunk/tag/taglib/taglib/ogg/flac/CMakeLists.txt
   M /trunk/tag/taglib/taglib/ogg/flac/Makefile.am
   M /trunk/tag/taglib/taglib/ogg/flac/oggflacfile.cpp
   M /trunk/tag/taglib/taglib/ogg/flac/oggflacfile.h
   M /trunk/tag/taglib/taglib/ogg/oggfile.cpp
   M /trunk/tag/taglib/taglib/ogg/oggfile.h
   M /trunk/tag/taglib/taglib/ogg/oggpage.cpp
   M /trunk/tag/taglib/taglib/ogg/oggpage.h
   M /trunk/tag/taglib/taglib/ogg/oggpageheader.cpp
   M /trunk/tag/taglib/taglib/ogg/oggpageheader.h
   A /trunk/tag/taglib/taglib/ogg/vorbis/CMakeLists.txt
   M /trunk/tag/taglib/taglib/ogg/vorbis/Makefile.am
   M /trunk/tag/taglib/taglib/ogg/vorbis/vorbisfile.cpp
   M /trunk/tag/taglib/taglib/ogg/vorbis/vorbisfile.h
   M /trunk/tag/taglib/taglib/ogg/vorbis/vorbisproperties.cpp
   M /trunk/tag/taglib/taglib/ogg/vorbis/vorbisproperties.h
   M /trunk/tag/taglib/taglib/ogg/xiphcomment.cpp
   M /trunk/tag/taglib/taglib/ogg/xiphcomment.h
   M /trunk/tag/taglib/taglib/tag.cpp
   M /trunk/tag/taglib/taglib/tag.h
   A /trunk/tag/taglib/taglib/taglib_export.h
   A /trunk/tag/taglib/taglib/toolkit/CMakeLists.txt
   M /trunk/tag/taglib/taglib/toolkit/Makefile.am
   M /trunk/tag/taglib/taglib/toolkit/taglib.h
   M /trunk/tag/taglib/taglib/toolkit/tbytevector.cpp
   M /trunk/tag/taglib/taglib/toolkit/tbytevector.h
   M /trunk/tag/taglib/taglib/toolkit/tbytevectorlist.cpp
   M /trunk/tag/taglib/taglib/toolkit/tbytevectorlist.h
   M /trunk/tag/taglib/taglib/toolkit/tdebug.cpp
   M /trunk/tag/taglib/taglib/toolkit/tdebug.h
   M /trunk/tag/taglib/taglib/toolkit/tfile.cpp
   M /trunk/tag/taglib/taglib/toolkit/tfile.h
   M /trunk/tag/taglib/taglib/toolkit/tlist.h
   M /trunk/tag/taglib/taglib/toolkit/tlist.tcc
   M /trunk/tag/taglib/taglib/toolkit/tmap.h
   M /trunk/tag/taglib/taglib/toolkit/tmap.tcc
   M /trunk/tag/taglib/taglib/toolkit/tstring.cpp
   M /trunk/tag/taglib/taglib/toolkit/tstring.h
   M /trunk/tag/taglib/taglib/toolkit/tstringlist.cpp
   M /trunk/tag/taglib/taglib/toolkit/tstringlist.h
   M /trunk/tag/taglib/taglib/toolkit/unicode.h
   A /trunk/tag/taglib/taglib-config.cmake
   A /trunk/tag/taglib/taglib-config.in
   A /trunk/tag/taglib/taglib.pc.cmake
   A /trunk/tag/taglib/taglib.pc.in
   A /trunk/tag/taglib/tests/CMakeLists.txt
   M /trunk/tag/taglib/tests/toolkit-test.cpp

Updated TagLib to SVN Revision 724312 - 2007-10-17.
------------------------------------------------------------------------
r65 | darkstar | 2007-10-12 00:43:40 +0200 (Fri, 12 Oct 2007) | 7 lines
Changed paths:
   M /trunk/coverartprovider.cpp
   M /trunk/debug.h
   M /trunk/externalservices.cpp
   M /trunk/mediaidentifier.cpp
   M /trunk/mediaidentifier.h
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp
   D /trunk/tag/id3lib
   D /trunk/tag/id3tagv1.cpp
   D /trunk/tag/id3tagv1.h
   D /trunk/tag/id3tagv2.cpp
   D /trunk/tag/id3tagv2.h
   A /trunk/tag/taglib
   A /trunk/tag/taglib/AUTHORS
   A /trunk/tag/taglib/COPYING
   A /trunk/tag/taglib/ChangeLog
   A /trunk/tag/taglib/INSTALL
   A /trunk/tag/taglib/Makefile.am
   A /trunk/tag/taglib/Makefile.cvs
   A /trunk/tag/taglib/Makefile.in
   A /trunk/tag/taglib/README
   A /trunk/tag/taglib/TODO
   A /trunk/tag/taglib/acinclude.m4
   A /trunk/tag/taglib/aclocal.m4
   A /trunk/tag/taglib/admin
   A /trunk/tag/taglib/admin/ChangeLog
   A /trunk/tag/taglib/admin/Doxyfile.am
   A /trunk/tag/taglib/admin/Doxyfile.global
   A /trunk/tag/taglib/admin/Makefile.common
   A /trunk/tag/taglib/admin/acinclude.m4.in
   A /trunk/tag/taglib/admin/am_edit
   A /trunk/tag/taglib/admin/compile
   A /trunk/tag/taglib/admin/conf.change.pl
   A /trunk/tag/taglib/admin/config.guess
   A /trunk/tag/taglib/admin/config.pl
   A /trunk/tag/taglib/admin/config.sub
   A /trunk/tag/taglib/admin/configure.in.bot.end
   A /trunk/tag/taglib/admin/configure.in.min
   A /trunk/tag/taglib/admin/cvs-clean.pl
   A /trunk/tag/taglib/admin/cvs.sh
   A /trunk/tag/taglib/admin/debianrules
   A /trunk/tag/taglib/admin/depcomp
   A /trunk/tag/taglib/admin/detect-autoconf.sh
   A /trunk/tag/taglib/admin/install-sh
   A /trunk/tag/taglib/admin/libtool.m4.in
   A /trunk/tag/taglib/admin/ltmain.sh
   A /trunk/tag/taglib/admin/make-changes.diff
   A /trunk/tag/taglib/admin/missing
   A /trunk/tag/taglib/admin/mkinstalldirs
   A /trunk/tag/taglib/admin/release.sh
   A /trunk/tag/taglib/admin/svn-clean.pl
   A /trunk/tag/taglib/admin/ylwrap
   A /trunk/tag/taglib/bindings
   A /trunk/tag/taglib/bindings/Makefile.am
   A /trunk/tag/taglib/bindings/Makefile.in
   A /trunk/tag/taglib/bindings/README
   A /trunk/tag/taglib/bindings/c
   A /trunk/tag/taglib/bindings/c/Makefile.am
   A /trunk/tag/taglib/bindings/c/Makefile.in
   A /trunk/tag/taglib/bindings/c/tag_c.cpp
   A /trunk/tag/taglib/bindings/c/tag_c.h
   A /trunk/tag/taglib/config.h
   A /trunk/tag/taglib/config.h.in
   A /trunk/tag/taglib/configure.files
   A /trunk/tag/taglib/configure.in
   A /trunk/tag/taglib/configure.in.in
   A /trunk/tag/taglib/examples
   A /trunk/tag/taglib/examples/Makefile.am
   A /trunk/tag/taglib/examples/Makefile.in
   A /trunk/tag/taglib/examples/framelist.cpp
   A /trunk/tag/taglib/examples/strip-id3v1.cpp
   A /trunk/tag/taglib/examples/tagreader.cpp
   A /trunk/tag/taglib/examples/tagreader_c.c
   A /trunk/tag/taglib/examples/tagwriter.cpp
   A /trunk/tag/taglib/stamp-h.in
   A /trunk/tag/taglib/subdirs
   A /trunk/tag/taglib/taglib
   A /trunk/tag/taglib/taglib/Makefile.am
   A /trunk/tag/taglib/taglib/Makefile.in
   A /trunk/tag/taglib/taglib/ape
   A /trunk/tag/taglib/taglib/ape/Makefile.am
   A /trunk/tag/taglib/taglib/ape/Makefile.in
   A /trunk/tag/taglib/taglib/ape/ape-tag-format.txt
   A /trunk/tag/taglib/taglib/ape/apefooter.cpp
   A /trunk/tag/taglib/taglib/ape/apefooter.h
   A /trunk/tag/taglib/taglib/ape/apeitem.cpp
   A /trunk/tag/taglib/taglib/ape/apeitem.h
   A /trunk/tag/taglib/taglib/ape/apetag.cpp
   A /trunk/tag/taglib/taglib/ape/apetag.h
   A /trunk/tag/taglib/taglib/audioproperties.cpp
   A /trunk/tag/taglib/taglib/audioproperties.h
   A /trunk/tag/taglib/taglib/configure.in.bot
   A /trunk/tag/taglib/taglib/configure.in.in
   A /trunk/tag/taglib/taglib/fileref.cpp
   A /trunk/tag/taglib/taglib/fileref.h
   A /trunk/tag/taglib/taglib/flac
   A /trunk/tag/taglib/taglib/flac/Makefile.am
   A /trunk/tag/taglib/taglib/flac/Makefile.in
   A /trunk/tag/taglib/taglib/flac/flacfile.cpp
   A /trunk/tag/taglib/taglib/flac/flacfile.h
   A /trunk/tag/taglib/taglib/flac/flacproperties.cpp
   A /trunk/tag/taglib/taglib/flac/flacproperties.h
   A /trunk/tag/taglib/taglib/flac/flactag.h
   A /trunk/tag/taglib/taglib/mpc
   A /trunk/tag/taglib/taglib/mpc/Makefile.am
   A /trunk/tag/taglib/taglib/mpc/Makefile.in
   A /trunk/tag/taglib/taglib/mpc/combinedtag.h
   A /trunk/tag/taglib/taglib/mpc/mpcfile.cpp
   A /trunk/tag/taglib/taglib/mpc/mpcfile.h
   A /trunk/tag/taglib/taglib/mpc/mpcproperties.cpp
   A /trunk/tag/taglib/taglib/mpc/mpcproperties.h
   A /trunk/tag/taglib/taglib/mpeg
   A /trunk/tag/taglib/taglib/mpeg/Makefile.am
   A /trunk/tag/taglib/taglib/mpeg/Makefile.in
   A /trunk/tag/taglib/taglib/mpeg/id3v1
   A /trunk/tag/taglib/taglib/mpeg/id3v1/Makefile.am
   A /trunk/tag/taglib/taglib/mpeg/id3v1/Makefile.in
   A /trunk/tag/taglib/taglib/mpeg/id3v1/id3v1genres.cpp
   A /trunk/tag/taglib/taglib/mpeg/id3v1/id3v1genres.h
   A /trunk/tag/taglib/taglib/mpeg/id3v1/id3v1tag.cpp
   A /trunk/tag/taglib/taglib/mpeg/id3v1/id3v1tag.h
   A /trunk/tag/taglib/taglib/mpeg/id3v2
   A /trunk/tag/taglib/taglib/mpeg/id3v2/Makefile.am
   A /trunk/tag/taglib/taglib/mpeg/id3v2/Makefile.in
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames/Makefile.am
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames/Makefile.in
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames/attachedpictureframe.cpp
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames/attachedpictureframe.h
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames/commentsframe.cpp
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames/commentsframe.h
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames/relativevolumeframe.cpp
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames/relativevolumeframe.h
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames/textidentificationframe.cpp
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames/textidentificationframe.h
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames/uniquefileidentifierframe.cpp
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames/uniquefileidentifierframe.h
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames/unknownframe.cpp
   A /trunk/tag/taglib/taglib/mpeg/id3v2/frames/unknownframe.h
   A /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2.4.0-frames.txt
   A /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2.4.0-structure.txt
   A /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2extendedheader.cpp
   A /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2extendedheader.h
   A /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2footer.cpp
   A /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2footer.h
   A /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2frame.cpp
   A /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2frame.h
   A /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2framefactory.cpp
   A /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2framefactory.h
   A /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2header.cpp
   A /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2header.h
   A /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2synchdata.cpp
   A /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2synchdata.h
   A /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2tag.cpp
   A /trunk/tag/taglib/taglib/mpeg/id3v2/id3v2tag.h
   A /trunk/tag/taglib/taglib/mpeg/mpegfile.cpp
   A /trunk/tag/taglib/taglib/mpeg/mpegfile.h
   A /trunk/tag/taglib/taglib/mpeg/mpegheader.cpp
   A /trunk/tag/taglib/taglib/mpeg/mpegheader.h
   A /trunk/tag/taglib/taglib/mpeg/mpegproperties.cpp
   A /trunk/tag/taglib/taglib/mpeg/mpegproperties.h
   A /trunk/tag/taglib/taglib/mpeg/xingheader.cpp
   A /trunk/tag/taglib/taglib/mpeg/xingheader.h
   A /trunk/tag/taglib/taglib/ogg
   A /trunk/tag/taglib/taglib/ogg/Makefile.am
   A /trunk/tag/taglib/taglib/ogg/Makefile.in
   A /trunk/tag/taglib/taglib/ogg/flac
   A /trunk/tag/taglib/taglib/ogg/flac/Makefile.am
   A /trunk/tag/taglib/taglib/ogg/flac/Makefile.in
   A /trunk/tag/taglib/taglib/ogg/flac/oggflacfile.cpp
   A /trunk/tag/taglib/taglib/ogg/flac/oggflacfile.h
   A /trunk/tag/taglib/taglib/ogg/oggfile.cpp
   A /trunk/tag/taglib/taglib/ogg/oggfile.h
   A /trunk/tag/taglib/taglib/ogg/oggpage.cpp
   A /trunk/tag/taglib/taglib/ogg/oggpage.h
   A /trunk/tag/taglib/taglib/ogg/oggpageheader.cpp
   A /trunk/tag/taglib/taglib/ogg/oggpageheader.h
   A /trunk/tag/taglib/taglib/ogg/vorbis
   A /trunk/tag/taglib/taglib/ogg/vorbis/Makefile.am
   A /trunk/tag/taglib/taglib/ogg/vorbis/Makefile.in
   A /trunk/tag/taglib/taglib/ogg/vorbis/vorbisfile.cpp
   A /trunk/tag/taglib/taglib/ogg/vorbis/vorbisfile.h
   A /trunk/tag/taglib/taglib/ogg/vorbis/vorbisproperties.cpp
   A /trunk/tag/taglib/taglib/ogg/vorbis/vorbisproperties.h
   A /trunk/tag/taglib/taglib/ogg/xiphcomment.cpp
   A /trunk/tag/taglib/taglib/ogg/xiphcomment.h
   A /trunk/tag/taglib/taglib/tag.cpp
   A /trunk/tag/taglib/taglib/tag.h
   A /trunk/tag/taglib/taglib/taglib-config.in
   A /trunk/tag/taglib/taglib/taglib.pc.in
   A /trunk/tag/taglib/taglib/toolkit
   A /trunk/tag/taglib/taglib/toolkit/Makefile.am
   A /trunk/tag/taglib/taglib/toolkit/Makefile.in
   A /trunk/tag/taglib/taglib/toolkit/taglib.h
   A /trunk/tag/taglib/taglib/toolkit/tbytevector.cpp
   A /trunk/tag/taglib/taglib/toolkit/tbytevector.h
   A /trunk/tag/taglib/taglib/toolkit/tbytevectorlist.cpp
   A /trunk/tag/taglib/taglib/toolkit/tbytevectorlist.h
   A /trunk/tag/taglib/taglib/toolkit/tdebug.cpp
   A /trunk/tag/taglib/taglib/toolkit/tdebug.h
   A /trunk/tag/taglib/taglib/toolkit/tfile.cpp
   A /trunk/tag/taglib/taglib/toolkit/tfile.h
   A /trunk/tag/taglib/taglib/toolkit/tlist.h
   A /trunk/tag/taglib/taglib/toolkit/tlist.tcc
   A /trunk/tag/taglib/taglib/toolkit/tmap.h
   A /trunk/tag/taglib/taglib/toolkit/tmap.tcc
   A /trunk/tag/taglib/taglib/toolkit/tstring.cpp
   A /trunk/tag/taglib/taglib/toolkit/tstring.h
   A /trunk/tag/taglib/taglib/toolkit/tstringlist.cpp
   A /trunk/tag/taglib/taglib/toolkit/tstringlist.h
   A /trunk/tag/taglib/taglib/toolkit/unicode.cpp
   A /trunk/tag/taglib/taglib/toolkit/unicode.h
   A /trunk/tag/taglib/taglib-api
   A /trunk/tag/taglib/taglib-api/README
   A /trunk/tag/taglib/taglib-api/api-footer.html
   A /trunk/tag/taglib/taglib-api/api-header.html
   A /trunk/tag/taglib/taglib-api/taglib-api.css
   A /trunk/tag/taglib/taglib-api/taglib.doxygen
   A /trunk/tag/taglib/taglib-api/taglib.png
   A /trunk/tag/taglib/tests
   A /trunk/tag/taglib/tests/Makefile.am
   A /trunk/tag/taglib/tests/Makefile.in
   A /trunk/tag/taglib/tests/toolkit-test.cpp

 * id3lib removed in favor of TagLib 1.4;
   * Proper tag support for MP3, Ogg Vorbis, Ogg FLAC, FLAC, MPC
   * Proper Unicode handling
   * Initial media identification process should be up to 10 times faster now
   * Fallback to identification using MPlayer if media format is not supported by TagLib
 * Several fixes for broken compilation on Qtopia;
 * Minor cleanups.
------------------------------------------------------------------------
r64 | darkstar | 2007-10-11 20:54:22 +0200 (Thu, 11 Oct 2007) | 3 lines
Changed paths:
   M /trunk/aboutdialog.cpp
   M /trunk/config/generalconfig.cpp
   M /trunk/config/generalconfig.h
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   M /trunk/debug.h
   A /trunk/externalservices.cpp
   A /trunk/externalservices.h
   M /trunk/mediaidentifier.cpp
   M /trunk/mplayer.cpp
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp
   M /trunk/quasar.h

 * QCop broadcasting code moved to new ExternalServices class;
 * Added new feature that saves the current playback status to a temporary file (in sh-script-style) for external apps...;
 * Changed global config to singleton + macro.
------------------------------------------------------------------------
r62 | darkstar | 2007-10-06 02:27:42 +0200 (Sat, 06 Oct 2007) | 4 lines
Changed paths:
   M /trunk/aboutdialog.cpp
   M /trunk/batteryplus.cpp
   M /trunk/config/generalconfig.cpp
   M /trunk/config/generalconfig.h
   M /trunk/configuration.cpp
   M /trunk/distro/skeletons/pdaXrom/CONTROL/control
   M /trunk/distro/skeletons/sharp/CONTROL/control
   M /trunk/quasar.cpp
   M /trunk/system_volume.cpp

 * Removed registration as Remote Control Master via QCop since it caused crashing of Qtopia on most systems;
   * Registering Quasar as Remote Control Master will require a restart of Qtopia now.
 * Detection of machine type enabled on non-Qtopia systems;
 * Some configuration options removed on non-Qtopia systems as they are not supported.
------------------------------------------------------------------------
r60 | darkstar | 2007-10-03 01:52:13 +0200 (Wed, 03 Oct 2007) | 2 lines
Changed paths:
   M /trunk/coverartprovider.cpp
   M /trunk/distro/skeletons/pdaXrom/CONTROL/control
   M /trunk/distro/skeletons/pdaXrom/home/root/.quasar/quasar.conf
   M /trunk/distro/skeletons/sharp/CONTROL/control
   M /trunk/mediaidentifier.cpp

 * Support for embedded cover art in MP3 files added;
 * pdaXrom default config updated with new settings and hotkeys.
------------------------------------------------------------------------
r57 | darkstar | 2007-10-01 02:52:48 +0200 (Mon, 01 Oct 2007) | 2 lines
Changed paths:
   M /trunk/playlistmanager.cpp
   M /trunk/quasar.cpp

 * The initial active view wasn't correctly set;
 * Some minor fixes.
------------------------------------------------------------------------
r56 | darkstar | 2007-10-01 00:01:34 +0200 (Mon, 01 Oct 2007) | 5 lines
Changed paths:
   M /trunk/action.cpp
   M /trunk/configuration.cpp
   M /trunk/coverartprovider.cpp
   M /trunk/distro/images/quasar.png
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/playlistmanager.cpp
   M /trunk/playlistmanager.h
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   D /trunk/seekpanel.cpp
   D /trunk/seekpanel.h
   M /trunk/toolpanel.h

 * Playlist parameters (sort, filter etc.) and position will be remembered and set when switching from playlist to OTG and vice versa;
 * Default Hotkeys updated (switching between OTG-PL and PL + Copy to OTG-PL);
 * Message will be shown when the user copies to the OTG-PL;
 * Fixed a bug in the Cover Art Provider that caused a hang when rescanning an unset cover art directory...;
 * Minor cleanup.
------------------------------------------------------------------------
r55 | darkstar | 2007-09-27 00:56:51 +0200 (Thu, 27 Sep 2007) | 7 lines
Changed paths:
   M /trunk/config/generalconfig.cpp
   M /trunk/config/generalconfig.h
   D /trunk/config/looksconfig.cpp
   D /trunk/config/looksconfig.h
   M /trunk/config/mplayerconfig.cpp
   A /trunk/config/uiconfig.cpp (from /trunk/config/looksconfig.cpp:50)
   A /trunk/config/uiconfig.h (from /trunk/config/looksconfig.h:49)
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   M /trunk/configurationdialog.cpp
   M /trunk/configurationdialog.h
   M /trunk/coverart.cpp
   M /trunk/distro/skeletons/pdaXrom/usr/share/applications/quasar.desktop
   M /trunk/distro/skins/default/bg_h.png
   M /trunk/distro/skins/default/bg_toolpanel_v.png
   M /trunk/distro/skins/default/bg_v.png
   M /trunk/distro/skins/default/skin.ini
   M /trunk/playinfo.cpp
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp
   M /trunk/skin.cpp
   M /trunk/skinnedlabel.cpp

 * Fullscreen mode fixed on Qtopia;
 * Cover art display optimized;
 * "Looks" renamed to User Interface configuration;
 * Additional settings introduced to control search auto-trigger delay and play info layout;
 * Tabs in config dialog reordered;
 * Skinlabel now handles the skin panel's resize signal properly;
 * Minor distro file adjustments.
------------------------------------------------------------------------
r54 | darkstar | 2007-09-25 01:25:44 +0200 (Tue, 25 Sep 2007) | 4 lines
Changed paths:
   A /trunk/distro/skeletons/pdaXrom/CONTROL/conffiles
   A /trunk/distro/skeletons/pdaXrom/home
   A /trunk/distro/skeletons/pdaXrom/home/root
   A /trunk/distro/skeletons/pdaXrom/home/root/.quasar
   A /trunk/distro/skeletons/pdaXrom/home/root/.quasar/quasar.conf
   M /trunk/distro/skeletons/pdaXrom/usr/apps/Multimedia/Quasar/AppInfo.xml
   M /trunk/distro/skeletons/pdaXrom/usr/share/applications/quasar.desktop
   M /trunk/distro/skins/default/skin.ini
   M /trunk/quasar.cpp

 * Minor skin adjustments;
 * Yet again updated pdaXrom distro files;
 * Hard-coded filter timeout to 500 ms on both platforms (make configurable via config dialog);
 * Workaround for toolbar realignment issues in Qt3 when changing the font size.
------------------------------------------------------------------------
r53 | darkstar | 2007-09-25 00:20:50 +0200 (Tue, 25 Sep 2007) | 1 line
Changed paths:
   D /trunk/distro/skeletons/pdaXrom/usr/apps/Multimedia/Quasar/.AppIcon

Some changes in the distro files for pdaXrom.
------------------------------------------------------------------------
r52 | darkstar | 2007-09-25 00:20:30 +0200 (Tue, 25 Sep 2007) | 1 line
Changed paths:
   D /trunk/distro/skeletons/pdaXrom/usr/apps/Applications
   A /trunk/distro/skeletons/pdaXrom/usr/apps/Multimedia (from /trunk/distro/skeletons/pdaXrom/usr/apps/Applications:50)
   A /trunk/distro/skeletons/pdaXrom/usr/apps/Multimedia/Quasar/.DirIcon

Some changes in the distro files for pdaXrom.
------------------------------------------------------------------------
r51 | darkstar | 2007-09-25 00:09:37 +0200 (Tue, 25 Sep 2007) | 1 line
Changed paths:
   M /trunk/compat/resource.cpp
   M /trunk/configuration.h
   M /trunk/distro/makedistros.sh
   A /trunk/distro/skeletons/pdaXrom/usr/bin (from /trunk/distro/skeletons/pdaXrom/usr/local/bin:50)
   D /trunk/distro/skeletons/pdaXrom/usr/local
   M /trunk/distro/skeletons/pdaXrom/usr/share/pixmaps/quasar.png
   A /trunk/distro/skeletons/pdaXrom/usr/share/quasar (from /trunk/distro/skeletons/pdaXrom/usr/local/share/quasar:50)

Some changes in the distro files for pdaXrom.
------------------------------------------------------------------------
r50 | darkstar | 2007-09-24 02:09:54 +0200 (Mon, 24 Sep 2007) | 4 lines
Changed paths:
   M /trunk/aboutdialog.cpp
   M /trunk/config/looksconfig.cpp
   M /trunk/distro/skeletons/pdaXrom/usr/apps/Applications/Quasar/AppInfo.xml
   M /trunk/distro/skeletons/sharp/opt/QtPalmtop/apps/Multimedia/Quasar.desktop
   M /trunk/tkmix/qtkfiledialog.cpp

 * About dialog updated again;
 * Fixed "Looks" configuration dialog to use the getSkinPath() method instead of brain-dead hardcoded values;
 * Funny translation in QTKDialog "fixed";
 * Distro files updated.
------------------------------------------------------------------------
r49 | darkstar | 2007-09-24 00:46:16 +0200 (Mon, 24 Sep 2007) | 4 lines
Changed paths:
   A /trunk/LICENSE
   M /trunk/aboutdialog.cpp
   A /trunk/compat/resource.cpp
   M /trunk/compat/resource.h
   M /trunk/configuration.h
   M /trunk/coverart.cpp
   M /trunk/coverart.h
   M /trunk/coverartprovider.cpp
   M /trunk/coverartprovider.h
   A /trunk/distro
   A /trunk/distro/dev-arm-pdaxrom.sh
   A /trunk/distro/dev-arm-qpe.sh
   A /trunk/distro/images
   A /trunk/distro/images/quasar.png
   A /trunk/distro/ipkg-build
   A /trunk/distro/ipkg-buildpackage
   A /trunk/distro/ipkg-make-index
   A /trunk/distro/makedistros.sh
   A /trunk/distro/skeletons
   A /trunk/distro/skeletons/pdaXrom
   A /trunk/distro/skeletons/pdaXrom/CONTROL
   A /trunk/distro/skeletons/pdaXrom/CONTROL/control
   A /trunk/distro/skeletons/pdaXrom/usr
   A /trunk/distro/skeletons/pdaXrom/usr/apps
   A /trunk/distro/skeletons/pdaXrom/usr/apps/Applications
   A /trunk/distro/skeletons/pdaXrom/usr/apps/Applications/Quasar
   A /trunk/distro/skeletons/pdaXrom/usr/apps/Applications/Quasar/.AppIcon
   A /trunk/distro/skeletons/pdaXrom/usr/apps/Applications/Quasar/AppInfo.xml
   A /trunk/distro/skeletons/pdaXrom/usr/apps/Applications/Quasar/AppRun
   A /trunk/distro/skeletons/pdaXrom/usr/local
   A /trunk/distro/skeletons/pdaXrom/usr/local/bin
   A /trunk/distro/skeletons/pdaXrom/usr/local/share
   A /trunk/distro/skeletons/pdaXrom/usr/local/share/quasar
   A /trunk/distro/skeletons/pdaXrom/usr/local/share/quasar/pics
   A /trunk/distro/skeletons/pdaXrom/usr/local/share/quasar/pics/CFDevice.png
   A /trunk/distro/skeletons/pdaXrom/usr/local/share/quasar/pics/CFDeviceS.png
   A /trunk/distro/skeletons/pdaXrom/usr/local/share/quasar/pics/MainDevice.png
   A /trunk/distro/skeletons/pdaXrom/usr/local/share/quasar/pics/MainDeviceS.png
   A /trunk/distro/skeletons/pdaXrom/usr/local/share/quasar/pics/SDDevice.png
   A /trunk/distro/skeletons/pdaXrom/usr/local/share/quasar/pics/SDDeviceS.png
   A /trunk/distro/skeletons/pdaXrom/usr/local/share/quasar/pics/foldernew.png
   A /trunk/distro/skeletons/pdaXrom/usr/local/share/quasar/pics/folderup.png
   A /trunk/distro/skeletons/pdaXrom/usr/local/share/quasar/pics/quasar
   A /trunk/distro/skeletons/pdaXrom/usr/local/share/quasar/pics/slUnknown.png
   A /trunk/distro/skeletons/pdaXrom/usr/local/share/quasar/pics/slUnknown14.png
   A /trunk/distro/skeletons/pdaXrom/usr/local/share/quasar/pics/slfolder.png
   A /trunk/distro/skeletons/pdaXrom/usr/local/share/quasar/pics/slfolder_l.png
   A /trunk/distro/skeletons/pdaXrom/usr/share
   A /trunk/distro/skeletons/pdaXrom/usr/share/applications
   A /trunk/distro/skeletons/pdaXrom/usr/share/applications/quasar.desktop
   A /trunk/distro/skeletons/pdaXrom/usr/share/pixmaps
   A /trunk/distro/skeletons/pdaXrom/usr/share/pixmaps/quasar.png
   A /trunk/distro/skeletons/sharp
   A /trunk/distro/skeletons/sharp/CONTROL
   A /trunk/distro/skeletons/sharp/CONTROL/control
   A /trunk/distro/skeletons/sharp/opt
   A /trunk/distro/skeletons/sharp/opt/QtPalmtop
   A /trunk/distro/skeletons/sharp/opt/QtPalmtop/apps
   A /trunk/distro/skeletons/sharp/opt/QtPalmtop/apps/Multimedia
   A /trunk/distro/skeletons/sharp/opt/QtPalmtop/apps/Multimedia/Quasar.desktop
   A /trunk/distro/skeletons/sharp/opt/QtPalmtop/bin
   A /trunk/distro/skeletons/sharp/opt/QtPalmtop/pics
   A /trunk/distro/skeletons/sharp/opt/QtPalmtop/pics/quasar
   A /trunk/distro/skeletons/sharp/opt/QtPalmtop/share
   A /trunk/distro/skeletons/sharp/opt/QtPalmtop/share/quasar
   A /trunk/distro/skins
   A /trunk/distro/skins/default
   A /trunk/distro/skins/default/bg_h.png
   A /trunk/distro/skins/default/bg_playlisttoolpanel_h.png
   A /trunk/distro/skins/default/bg_toolpanel_h.png
   A /trunk/distro/skins/default/bg_toolpanel_v.png
   A /trunk/distro/skins/default/bg_v.png
   A /trunk/distro/skins/default/buttons.png
   A /trunk/distro/skins/default/font.png
   A /trunk/distro/skins/default/pause_indicator.png
   A /trunk/distro/skins/default/pause_indicator_b.png
   A /trunk/distro/skins/default/play_indicator.png
   A /trunk/distro/skins/default/play_indicator_b.png
   A /trunk/distro/skins/default/playlisttoolpanel_buttons.png
   A /trunk/distro/skins/default/playlisttoolpanel_buttons.xcf
   A /trunk/distro/skins/default/playlisttoolpanel_dynplaylisteditortab.png
   A /trunk/distro/skins/default/playlisttoolpanel_dynplaylisteditortab.xcf
   A /trunk/distro/skins/default/playlisttoolpanel_modebuttons.png
   A /trunk/distro/skins/default/playlisttoolpanel_modebuttons.xcf
   A /trunk/distro/skins/default/playlisttoolpanel_otgplaylisttab.png
   A /trunk/distro/skins/default/playlisttoolpanel_otgplaylisttab.xcf
   A /trunk/distro/skins/default/playlisttoolpanel_playlisttab.png
   A /trunk/distro/skins/default/playlisttoolpanel_playlisttab.xcf
   A /trunk/distro/skins/default/seekknob.png
   A /trunk/distro/skins/default/skin.ini
   A /trunk/distro/skins/default/toolpanel_buttons.png
   A /trunk/distro/skins/default/toolpanel_viewbuttons.png
   A /trunk/distro/skins/default/volknob.png
   D /trunk/ipk
   M /trunk/mplayer.cpp
   M /trunk/mplayer.h
   A /trunk/quasar-pdaxrom.pro
   M /trunk/quasar-qt.pro
   M /trunk/quasar.cpp
   M /trunk/quasar.h

 * Compatible minimal Resource class implemented for Qt3;
 * Distro tree + helper scripts;
 * Several files updated with license plates;
 * About dialog updated.
------------------------------------------------------------------------
r48 | darkstar | 2007-09-22 22:25:41 +0200 (Sat, 22 Sep 2007) | 1 line
Changed paths:
   M /trunk/mediaidentifier.cpp

Fixed yet another character encoding bug in the media identifier code. Explicitly checks if the parsed output coming from mplayer contains UTF-8 encoded characters and attempts to reinterpret it to get the correct content.
------------------------------------------------------------------------
r47 | darkstar | 2007-09-22 18:02:37 +0200 (Sat, 22 Sep 2007) | 1 line
Changed paths:
   M /trunk/mediaidentifier.cpp

Fixed a bug in the media identifier where the explicit UTF8 encoding of the filename caused problems with filenames containing umlauts and other fully characters that would have a 2-byte (or higher) representation in UTF8.
------------------------------------------------------------------------
r46 | darkstar | 2007-09-18 01:31:48 +0200 (Tue, 18 Sep 2007) | 2 lines
Changed paths:
   M /trunk/playlistmanager.cpp
   M /trunk/playlistmanager.h
   M /trunk/playlisttoolpanel.h
   M /trunk/quasar.cpp
   M /trunk/quasar.h

 * Completed some functionality in the Edit menu for the dynamic playlist editor;
 * Various small bugs fixed.
------------------------------------------------------------------------
r45 | darkstar | 2007-09-17 21:32:53 +0200 (Mon, 17 Sep 2007) | 16 lines
Changed paths:
   M /trunk/action.cpp
   M /trunk/config/coverartconfig.cpp
   M /trunk/config/mplayerconfig.cpp
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   M /trunk/configurationdialog.cpp
   M /trunk/coverart.cpp
   M /trunk/coverartprovider.cpp
   M /trunk/media.cpp
   M /trunk/mediaidentifier.cpp
   M /trunk/mplayer.cpp
   M /trunk/playinfo.cpp
   M /trunk/playlist.cpp
   M /trunk/playlistmanager.cpp
   M /trunk/qt/qprogressdialog.cpp
   M /trunk/qt/qprogressdialog.h
   M /trunk/quasar-qt.pro
   M /trunk/quasar.cpp
   M /trunk/skinpanel.cpp
   M /trunk/system_volume.cpp
   M /trunk/tag/id3lib/id3lib_config.h
   M /trunk/textviewdialog.h
   M /trunk/tkmix/qtkfiledialog.cpp
   M /trunk/tkmix/qtkfiledialog.h
   M /trunk/videoplaybackwindow.cpp

 * Default Hotkeys updated;
 * Removed custom handling of translation in QTKDialog (probably written for older version of Qt ?);
 * loadWidgetPosition and saveWidgetPosition hopefully fixed;
 * The position and size of all dialogs will be preserved now;
 * Detection and display of cover art fixed when album or artist were empty;
 * Media: TRACKNUMBER renamed to TRACK for better size efficiency; Alias introduced to support older mplayer versions;
 * MPlayer debug output fixed; Missing linefeed added;
 * AutoResize of labels in PlayInfo fixed;
 * Access Violation fixed in PlayList::nextItem() and possibly PlayList::previousItem() too;
 * Autoresizing and re-centering in QProgressDialog made optional (Qtopia only);
 * Some fixes to cope with screen orientation adjustments;
 * Project files updated to support crosscompiling for pdaXrom;
 * SkinPanel paint method fixed (infinite loop);
 * SkinPanel will no longer insist on a minimum width equal to the skin's background image width;
 * Some minor compilation fixes needed to get the cross compiling going on pdaXrom;
 * Some minor adjustments to various text constants.
------------------------------------------------------------------------
r44 | darkstar | 2007-09-16 05:03:26 +0200 (Sun, 16 Sep 2007) | 1 line
Changed paths:
   A /trunk/config/formatsconfig.cpp
   A /trunk/config/formatsconfig.h
   A /trunk/textviewdialog.cpp
   A /trunk/textviewdialog.h

Added missing files.
------------------------------------------------------------------------
r43 | darkstar | 2007-09-16 05:01:16 +0200 (Sun, 16 Sep 2007) | 1 line
Changed paths:
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/seekbar.cpp
   M /trunk/seekbar.h
   M /trunk/skin.cpp
   M /trunk/skin.h
   M /trunk/skinmanager.h
   M /trunk/skinnedbutton.cpp
   M /trunk/skinnedtimelabel.cpp
   M /trunk/skinpanel.cpp
   M /trunk/skinpanel.h

Image handling in skin system changed from QImage to QPixmap for better performance - alpha channels seem to work...
------------------------------------------------------------------------
r42 | darkstar | 2007-09-16 04:24:03 +0200 (Sun, 16 Sep 2007) | 1 line
Changed paths:
   M /trunk/config/mplayerconfig.cpp
   M /trunk/config/mplayerconfig.h
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   M /trunk/quasar.cpp

Made prefetching of files optional via config dialog.
------------------------------------------------------------------------
r41 | darkstar | 2007-09-16 04:12:05 +0200 (Sun, 16 Sep 2007) | 4 lines
Changed paths:
   M /trunk/config/hotkeyconfig.cpp
   M /trunk/config/mplayerconfig.h
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   M /trunk/configurationdialog.cpp
   M /trunk/configurationdialog.h
   M /trunk/mplayer.cpp
   M /trunk/mplayer.h
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/playlistmanager.cpp
   M /trunk/playlistmanager.h
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp
   M /trunk/quasar.h

 * Better MPlayer error message handling;
 * Format specific settings implemented - new config dialog;
 * Loading of dynamic playlists can be canceled now;
 * Some minor refactorings and cleanups;
------------------------------------------------------------------------
r40 | darkstar | 2007-09-11 00:22:08 +0200 (Tue, 11 Sep 2007) | 1 line
Changed paths:
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   M /trunk/playlist.cpp
   M /trunk/quasar.cpp

The position of the splitter will now be stored in the config file.
------------------------------------------------------------------------
r39 | darkstar | 2007-09-10 21:20:35 +0200 (Mon, 10 Sep 2007) | 1 line
Changed paths:
   M /trunk/media.cpp
   M /trunk/media.h
   M /trunk/mediadatabase.cpp
   M /trunk/mediadatabase.h
   M /trunk/mediaidentifier.cpp
   M /trunk/mediaidentifier.h
   M /trunk/mplayer.cpp
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/playlistmanager.cpp
   M /trunk/playlistmanager.h
   M /trunk/playlisttoolpanel.cpp
   M /trunk/playlisttoolpanel.h
   M /trunk/quasar.cpp
   M /trunk/quasar.h

License plates updated.
------------------------------------------------------------------------
r38 | darkstar | 2007-09-10 01:19:35 +0200 (Mon, 10 Sep 2007) | 6 lines
Changed paths:
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   M /trunk/mplayer.cpp
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/playlistmanager.cpp
   M /trunk/playlistmanager.h
   M /trunk/playlistoverview.cpp
   M /trunk/playlisttoolpanel.h
   M /trunk/quasar-qt.pro
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   M /trunk/skin.cpp

 * Fixed code for pasting clipboard files into a playlist;
 * Implemented copy to On-The-Go Playlist feature;
 * Selected playlist items are now recorded in a separate list, improves performance on Zaurus since we don't need to iterate though the whole list each and every time;
 * Figured out the real culprit for the overview bug: SQLite is very picky about optimization settings at compile time, -O0 won't work, weird;
 * Less resource demanding update of menus and button states when selection in playlist is changing;
 * Code clean up.
------------------------------------------------------------------------
r37 | darkstar | 2007-09-07 01:49:22 +0200 (Fri, 07 Sep 2007) | 3 lines
Changed paths:
   M /trunk/debug.h
   M /trunk/media.cpp
   M /trunk/mediadatabase.cpp
   M /trunk/mediaidentifier.cpp
   M /trunk/playlistoverview.cpp

 * Fixed new metadata parser in media identifier;
 * Workaround for strange SQLite behavior on different systems that caused tons of duplicated entries in the three panes of the playlist overview table;
 * Various minor changes and cleanups.
------------------------------------------------------------------------
r36 | darkstar | 2007-08-20 23:39:46 +0200 (Mon, 20 Aug 2007) | 8 lines
Changed paths:
   M /trunk/coverart.cpp
   M /trunk/mediaidentifier.cpp
   M /trunk/mediaidentifier.h
   M /trunk/mplayer.cpp
   M /trunk/mplayer.h
   M /trunk/operationpanel.cpp
   M /trunk/playlist.cpp
   M /trunk/playlisttoolpanel.cpp
   M /trunk/quasar-qt.pro
   M /trunk/quasar-qtopia.pro
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   M /trunk/seekbar.cpp
   M /trunk/seekbar.h
   M /trunk/skinnedbutton.cpp
   M /trunk/skinnedlabel.cpp
   M /trunk/skinpanel.cpp
   A /trunk/system_volume.cpp
   A /trunk/system_volume.h
   D /trunk/tkmix/qtopia_volume.cpp
   D /trunk/tkmix/qtopia_volume.h
   M /trunk/toolpanel.cpp

 * Fixed buffer issue in MediaIdentifier;
 * Implemented parsing of ID_CLIP_INFO_NAME* and ID_CLIP_INFO_VALUE* in MediaIdentifier;
 * MPlayer backend encapsulation class rewritten to be platform independent, ie. it uses QProcess;
 * MPlayer recycling implemented in backend encapsulation;
 * Optimized switching between media files, mplayer will be re-used where possible, less delaying repaints;
 * System volume control implemented for non-Linux environments; mplayer softvol will be used instead;
 * Menubar responds to pressing the menu button on Qtopia again;
 * Various paint optimizations and clean up.
------------------------------------------------------------------------
r35 | darkstar | 2007-08-12 05:22:50 +0200 (Sun, 12 Aug 2007) | 2 lines
Changed paths:
   M /trunk/mediaidentifier.cpp
   M /trunk/mediaidentifier.h
   M /trunk/mplayer.cpp
   A /trunk/qt/qcleanuphandler.h
   A /trunk/qt/qinternal.cpp
   A /trunk/qt/qinternal_p.h
   A /trunk/qt/qmemarray.h
   A /trunk/qt/qplatformdefs.h
   M /trunk/qt/qprocess.cpp
   M /trunk/qt/qprocess.h
   M /trunk/qt/qprocess_unix.cpp
   A /trunk/qt/qprocess_unix.moc
   A /trunk/qt/qptrcollection.cpp
   A /trunk/qt/qptrcollection.h
   A /trunk/qt/qptrdict.h
   A /trunk/qt/qptrlist.h
   A /trunk/qt/qptrqueue.h
   A /trunk/qt/qptrvector.h
   A /trunk/qt/qregexp.cpp
   A /trunk/qt/qregexp.h
   M /trunk/quasar-qtopia.pro

 * Backported QProcess from Qt 3.3.8;
 * Performance gain when identifying media files by recycling the mplayer slave process instead of restarting it each time.
------------------------------------------------------------------------
r34 | darkstar | 2007-08-11 20:03:51 +0200 (Sat, 11 Aug 2007) | 3 lines
Changed paths:
   M /trunk/aboutdialog.cpp
   M /trunk/action.cpp
   A /trunk/compat
   A /trunk/compat/config.cpp
   A /trunk/compat/config.h
   A /trunk/compat/resource.h
   M /trunk/config/generalconfig.cpp
   M /trunk/config/generalconfig.h
   M /trunk/config/hotkeyconfig.cpp
   M /trunk/config/identifykeydialog.cpp
   M /trunk/config/looksconfig.cpp
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   M /trunk/configurationdialog.cpp
   M /trunk/coverart.cpp
   M /trunk/coverartprovider.cpp
   M /trunk/coverartprovider.h
   M /trunk/debug.h
   M /trunk/imagefx.cpp
   M /trunk/main.cpp
   M /trunk/media.cpp
   M /trunk/media.h
   M /trunk/mediadatabase.cpp
   M /trunk/mediadatabase.h
   A /trunk/mediaidentifier.cpp
   A /trunk/mediaidentifier.h
   M /trunk/mplayer.cpp
   M /trunk/mplayer.h
   M /trunk/operationpanel.cpp
   M /trunk/operationpanel.h
   M /trunk/playinfo.cpp
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/playlistmanager.cpp
   M /trunk/playlistoverview.cpp
   M /trunk/playlisttoolpanel.cpp
   M /trunk/playlisttoolpanel.h
   A /trunk/quasar-qt.pro
   A /trunk/quasar-qtopia.pro (from /trunk/quasar.pro:32)
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   D /trunk/quasar.pro
   M /trunk/seekbar.cpp
   M /trunk/seekbar.h
   M /trunk/skin.cpp
   M /trunk/skin.h
   M /trunk/skinmanager.cpp
   M /trunk/skinmanager.h
   M /trunk/skinnedbutton.cpp
   M /trunk/skinnedbutton.h
   M /trunk/skinnedlabel.cpp
   M /trunk/skinnedlabel.h
   M /trunk/skinnedtimelabel.cpp
   M /trunk/skinnedtimelabel.h
   M /trunk/skinpanel.cpp
   M /trunk/skinpanel.h
   D /trunk/tag/id3lib/config.h
   A /trunk/tag/id3lib/id3lib_config.h (from /trunk/tag/id3lib/config.h:32)
   M /trunk/tag/id3lib/include/Makefile
   M /trunk/tag/id3lib/include/Makefile.in
   M /trunk/tag/id3lib/include/id3/Makefile
   M /trunk/tag/id3lib/include/id3/Makefile.in
   M /trunk/tag/id3lib/include/id3/io_decorators.h
   M /trunk/tag/id3lib/include/id3/utils.h
   M /trunk/tag/id3lib/src/Makefile
   M /trunk/tag/id3lib/src/Makefile.in
   M /trunk/tag/id3lib/src/field.cpp
   M /trunk/tag/id3lib/src/field_binary.cpp
   M /trunk/tag/id3lib/src/field_integer.cpp
   M /trunk/tag/id3lib/src/field_string_ascii.cpp
   M /trunk/tag/id3lib/src/field_string_unicode.cpp
   M /trunk/tag/id3lib/src/frame.cpp
   M /trunk/tag/id3lib/src/frame_impl.cpp
   M /trunk/tag/id3lib/src/frame_parse.cpp
   M /trunk/tag/id3lib/src/frame_render.cpp
   M /trunk/tag/id3lib/src/globals.cpp
   M /trunk/tag/id3lib/src/header.cpp
   M /trunk/tag/id3lib/src/header_frame.cpp
   M /trunk/tag/id3lib/src/header_tag.cpp
   M /trunk/tag/id3lib/src/helpers.cpp
   M /trunk/tag/id3lib/src/io.cpp
   M /trunk/tag/id3lib/src/io_decorators.cpp
   M /trunk/tag/id3lib/src/io_helpers.cpp
   M /trunk/tag/id3lib/src/misc_support.cpp
   M /trunk/tag/id3lib/src/readers.cpp
   M /trunk/tag/id3lib/src/spec.cpp
   M /trunk/tag/id3lib/src/tag_parse.cpp
   M /trunk/tag/id3lib/src/tag_parse_musicmatch.cpp
   M /trunk/tag/id3lib/src/utils.cpp
   M /trunk/tag/id3lib/src/writers.cpp
   M /trunk/tkmix/qtkfiledialog.cpp
   M /trunk/tkmix/qtopia_volume.cpp
   M /trunk/toolpanel.cpp
   M /trunk/toolpanel.h
   M /trunk/videoplaybackwindow.cpp

 * Tons of changes for Qt3 compatibility;
 * Media identification separated from Media code;
 * Media identification is a singleton now. This is a prerequisite for the planned performance optimization.
------------------------------------------------------------------------
r33 | darkstar | 2007-07-13 00:16:39 +0200 (Fri, 13 Jul 2007) | 1 line
Changed paths:
   M /trunk

Repository migration.
------------------------------------------------------------------------
r32 | darkstar | 2007-06-26 23:57:38 +0200 (Tue, 26 Jun 2007) | 5 lines
Changed paths:
   M /trunk/playlist.cpp
   M /trunk/playlistmanager.cpp
   M /trunk/playlistoverview.cpp
   M /trunk/playlistoverview.h
   A /trunk/playlisttoolpanel.cpp
   A /trunk/playlisttoolpanel.h
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   M /trunk/quasar.pro
   M /trunk/skin.cpp
   M /trunk/skin.h
   M /trunk/skinnedbutton.cpp

 * Various tweaks to the skin crap;
 * Skinned playlist toolbar added;
 * Various callbacks in Quasar.cpp implemented;
 * Setting view source in PlayList will always update the view, even if equal. This works around an update bug in PlayListOverview until a better solution is found;
 * A lot of the buttons don't work correctly, this will be fixed soon.
------------------------------------------------------------------------
r31 | darkstar | 2007-06-21 22:31:13 +0200 (Thu, 21 Jun 2007) | 1 line
Changed paths:
   M /trunk/quasar.pro
   M /trunk/sqlite_source/sqlite3.c
   M /trunk/sqlite_source/sqlite3.c.org
   M /trunk/sqlite_source/sqlite3.h

Updated to SQLite 3.4.0.
------------------------------------------------------------------------
r30 | darkstar | 2007-06-21 21:39:18 +0200 (Thu, 21 Jun 2007) | 11 lines
Changed paths:
   M /trunk/action.cpp
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   M /trunk/mediadatabase.cpp
   M /trunk/mediadatabase.h
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/playlistmanager.cpp
   M /trunk/playlistmanager.h
   M /trunk/quasar.cpp
   M /trunk/quasar.h

 * DB statement preparation made generic in MediaDatabase;
 * New PlayList features:
   * Supports other tables as playlist sources (prerequisite for On-The-Go playlist)
   * Support for different (pen-based) input modes (Select, Multiselect and Move Item)
 * On-The-Go playlist feature
 * PlayListManager restructured to support different modes and cope with On-The-Go playlist features...
 * Dynamic Playlist Editor somewhat unfinished in this version, on TODO.
 * Last playlist directory will be remembered;
 * Tons of GUI changes, mostly menu and actions
 * Various changes to names of actions;

------------------------------------------------------------------------
r29 | darkstar | 2007-06-03 23:49:09 +0200 (Sun, 03 Jun 2007) | 2 lines
Changed paths:
   M /trunk/playlistoverview.cpp
   M /trunk/playlistoverview.h
   M /trunk/quasar.cpp
   M /trunk/skinmanager.cpp
   M /trunk/skinmanager.h

 * Play list overview's colors and fonts are customizable now;
 * initial menu bar restructuring.
------------------------------------------------------------------------
r28 | darkstar | 2007-05-25 00:52:47 +0200 (Fri, 25 May 2007) | 2 lines
Changed paths:
   M /trunk/media.cpp

 * Fixed load method of MediaAudio and MediaVideo where VM statement wasn't properly reset. This caused all sorts of problems when used in conjunction with media prefetching.
 * Fixed path when inserting the media location into the database. We always have to have a trailing slash in the location path.
------------------------------------------------------------------------
r27 | darkstar | 2007-05-21 01:04:41 +0200 (Mon, 21 May 2007) | 3 lines
Changed paths:
   M /trunk/playlistoverview.cpp
   M /trunk/playlistoverview.h
   M /trunk/quasar.cpp
   M /trunk/quasar.h
   M /trunk/toolpanel.cpp

 * Playlist overview keyboard navigation implemented;
 * Various focus and hotkey issues fixed;
 * Fixed negated interpretation of visible parameter in setOverviewVisibility (doh!)
------------------------------------------------------------------------
r26 | darkstar | 2007-05-20 02:38:05 +0200 (Sun, 20 May 2007) | 2 lines
Changed paths:
   M /trunk/coverartprovider.cpp
   M /trunk/playlistoverview.cpp
   M /trunk/playlistoverview.h
   M /trunk/quasar.pro

 * The overview will only be updated if the widget is visible or a genre, artist or album filter is set;
 * Code cleanup.
------------------------------------------------------------------------
r25 | darkstar | 2007-05-20 01:13:36 +0200 (Sun, 20 May 2007) | 1 line
Changed paths:
   M /trunk/tkmix/qtkfiledialog.cpp

qtkfiledialog.cpp: Moving up in directory hierarchy now selects the directory we came from.
------------------------------------------------------------------------
r24 | darkstar | 2007-05-16 00:55:17 +0200 (Wed, 16 May 2007) | 4 lines
Changed paths:
   A /trunk/config/coverartconfig.cpp
   A /trunk/config/coverartconfig.h
   M /trunk/config/generalconfig.cpp
   M /trunk/config/generalconfig.h
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   M /trunk/configurationdialog.cpp
   M /trunk/configurationdialog.h
   M /trunk/coverartprovider.cpp
   M /trunk/coverartprovider.h
   M /trunk/playinfo.cpp
   M /trunk/playinfo.h
   M /trunk/playlistmanager.cpp
   M /trunk/quasar.cpp
   M /trunk/quasar.pro

 * Initial configuration options for album cover art added;
 * Support for rescanning of the album cover art directory added, along with crappy dummy progress dialog;
 * Prefetching of album cover art images added;
 * Minor cleanups.
------------------------------------------------------------------------
r23 | darkstar | 2007-05-15 22:51:37 +0200 (Tue, 15 May 2007) | 1 line
Changed paths:
   M /trunk/toolpanel.cpp

Repaint info text on the ToolPanel immediately
------------------------------------------------------------------------
r22 | darkstar | 2007-05-15 00:52:03 +0200 (Tue, 15 May 2007) | 3 lines
Changed paths:
   M /trunk/coverart.cpp
   M /trunk/quasar.cpp
   M /trunk/toolpanel.cpp
   M /trunk/toolpanel.h

 * Fixed the perspective transformation in CoverArt;
 * Prefetching is more conservative in regards to I/O, will prevent skips;
 * Status messages are now displayed on the ToolPanel rather than on the task bar
------------------------------------------------------------------------
r21 | darkstar | 2007-05-14 00:36:02 +0200 (Mon, 14 May 2007) | 4 lines
Changed paths:
   M /trunk/media.cpp
   M /trunk/mplayer.cpp
   M /trunk/operationpanel.cpp
   M /trunk/operationpanel.h
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/quasar.cpp

 * Fixed file skipping in random mode caused by local media prefetching;
 * Fixed a bug in MediaFileInfo::save that caused media location with a "?" or "&" in the name to be not inserted correctly into the DB;
 * Minor tweaks in MPlayer encapsulation that improve responsiveness and cache performance for local files;
 * Local media prefetching improved.
------------------------------------------------------------------------
r20 | darkstar | 2007-05-12 01:55:40 +0200 (Sat, 12 May 2007) | 3 lines
Changed paths:
   M /trunk/mplayer.cpp
   M /trunk/playlist.cpp
   M /trunk/quasar.cpp

 * Cleanup in PlayList;
 * MPlayer polling interval decreased to 500 ms (from 1000 ms);
 * Prefetching of all necessary data for the next media 10 seconds before the end
------------------------------------------------------------------------
r19 | darkstar | 2007-05-12 00:32:26 +0200 (Sat, 12 May 2007) | 1 line
Changed paths:
   M /trunk/playlist.cpp
   M /trunk/playlist.h

Refactored PlayList code to get rid of inflexible methods + additional cleanup.
------------------------------------------------------------------------
r18 | darkstar | 2007-05-11 23:29:35 +0200 (Fri, 11 May 2007) | 1 line
Changed paths:
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/quasar.cpp

Cleanup and refactoring in PlayList
------------------------------------------------------------------------
r17 | darkstar | 2007-05-10 00:10:45 +0200 (Thu, 10 May 2007) | 1 line
Changed paths:
   M /trunk/quasar.pro
   D /trunk/sqlite_source/alter.c
   D /trunk/sqlite_source/analyze.c
   D /trunk/sqlite_source/attach.c
   D /trunk/sqlite_source/auth.c
   D /trunk/sqlite_source/btree.c
   D /trunk/sqlite_source/btree.h
   D /trunk/sqlite_source/build.c
   D /trunk/sqlite_source/callback.c
   D /trunk/sqlite_source/complete.c
   D /trunk/sqlite_source/date.c
   D /trunk/sqlite_source/delete.c
   D /trunk/sqlite_source/expr.c
   D /trunk/sqlite_source/func.c
   D /trunk/sqlite_source/hash.c
   D /trunk/sqlite_source/hash.h
   D /trunk/sqlite_source/insert.c
   D /trunk/sqlite_source/keywordhash.h
   D /trunk/sqlite_source/legacy.c
   D /trunk/sqlite_source/loadext.c
   D /trunk/sqlite_source/main.c
   D /trunk/sqlite_source/opcodes.c
   D /trunk/sqlite_source/opcodes.h
   D /trunk/sqlite_source/os.c
   D /trunk/sqlite_source/os.h
   D /trunk/sqlite_source/os_common.h
   D /trunk/sqlite_source/os_os2.c
   D /trunk/sqlite_source/os_os2.h
   D /trunk/sqlite_source/os_unix.c
   D /trunk/sqlite_source/os_win.c
   D /trunk/sqlite_source/pager.c
   D /trunk/sqlite_source/pager.h
   D /trunk/sqlite_source/parse.c
   D /trunk/sqlite_source/parse.h
   D /trunk/sqlite_source/parse.y
   D /trunk/sqlite_source/pragma.c
   D /trunk/sqlite_source/prepare.c
   D /trunk/sqlite_source/printf.c
   D /trunk/sqlite_source/random.c
   D /trunk/sqlite_source/select.c
   D /trunk/sqlite_source/shell.c
   D /trunk/sqlite_source/sqlite.h.in
   A /trunk/sqlite_source/sqlite3.c
   A /trunk/sqlite_source/sqlite3.c.org
   M /trunk/sqlite_source/sqlite3.h
   D /trunk/sqlite_source/sqlite3ext.h
   D /trunk/sqlite_source/sqliteInt.h
   D /trunk/sqlite_source/table.c
   D /trunk/sqlite_source/tokenize.c
   D /trunk/sqlite_source/trigger.c
   D /trunk/sqlite_source/update.c
   D /trunk/sqlite_source/utf.c
   D /trunk/sqlite_source/util.c
   D /trunk/sqlite_source/vacuum.c
   D /trunk/sqlite_source/vdbe.c
   D /trunk/sqlite_source/vdbe.h
   D /trunk/sqlite_source/vdbeInt.h
   D /trunk/sqlite_source/vdbeapi.c
   D /trunk/sqlite_source/vdbeaux.c
   D /trunk/sqlite_source/vdbefifo.c
   D /trunk/sqlite_source/vdbemem.c
   D /trunk/sqlite_source/vtab.c
   D /trunk/sqlite_source/where.c

SQLite updated to amalgamated 3.3.17 + vdbeaux.c optimization.
------------------------------------------------------------------------
r16 | darkstar | 2007-05-09 22:38:49 +0200 (Wed, 09 May 2007) | 7 lines
Changed paths:
   M /trunk
   M /trunk/aboutdialog.cpp
   M /trunk/action.cpp
   M /trunk/action.h
   M /trunk/config/generalconfig.cpp
   M /trunk/config/generalconfig.h
   M /trunk/config/mplayerconfig.cpp
   M /trunk/config/mplayerconfig.h
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   A /trunk/coverart.cpp
   A /trunk/coverart.h
   A /trunk/coverartprovider.cpp
   A /trunk/coverartprovider.h
   D /trunk/dynplaylistdialog.cpp
   D /trunk/dynplaylistdialog.h
   A /trunk/imagefx.cpp
   A /trunk/imagefx.h
   M /trunk/main.cpp
   M /trunk/media.cpp
   M /trunk/mediadatabase.cpp
   M /trunk/mplayer.cpp
   M /trunk/operationpanel.cpp
   M /trunk/operationpanel.h
   M /trunk/playinfo.cpp
   M /trunk/playinfo.h
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/playlistmanager.cpp
   A /trunk/quasar.cpp (from /trunk/zplayer.cpp:14)
   A /trunk/quasar.h (from /trunk/zplayer.h:14)
   A /trunk/quasar.pro (from /trunk/zplayer.pro:14)
   A /trunk/quasar_ja.ts (from /trunk/zplayer_ja.ts:14)
   M /trunk/seekbar.cpp
   M /trunk/skin.cpp
   M /trunk/skin.h
   M /trunk/skinnedbutton.cpp
   M /trunk/skinnedbutton.h
   M /trunk/skinnedlabel.cpp
   A /trunk/skinpanel.cpp
   A /trunk/skinpanel.h
   M /trunk/toolpanel.cpp
   M /trunk/toolpanel.h
   D /trunk/zplayer.cpp
   D /trunk/zplayer.h
   D /trunk/zplayer.pro
   D /trunk/zplayer_ja.ts

 * ZPlayer renamed to Quasar. All files have been refactored to reflect this change.
 * Initial cover art functionality added, along with funky gfx powered by a miniport of Graphics32.
 * ToolPanel rewritten, new button, new functionality.
 * SkinPanel introduced. ToolPanel and OperationPanel are now based on it.
 * Skin crap extended.
 * Default settings and hotkeys revised.
 * New setting to control MPlayer's file cache size added.
------------------------------------------------------------------------
r15 | darkstar | 2007-03-19 02:38:39 +0100 (Mon, 19 Mar 2007) | 1 line
Changed paths:
   M /trunk/sqlite_source/btree.c
   M /trunk/sqlite_source/btree.h
   M /trunk/sqlite_source/build.c
   M /trunk/sqlite_source/callback.c
   M /trunk/sqlite_source/date.c
   M /trunk/sqlite_source/delete.c
   M /trunk/sqlite_source/expr.c
   M /trunk/sqlite_source/func.c
   M /trunk/sqlite_source/loadext.c
   M /trunk/sqlite_source/opcodes.c
   M /trunk/sqlite_source/opcodes.h
   M /trunk/sqlite_source/os_os2.c
   M /trunk/sqlite_source/os_unix.c
   M /trunk/sqlite_source/os_win.c
   M /trunk/sqlite_source/pager.c
   M /trunk/sqlite_source/parse.c
   M /trunk/sqlite_source/parse.h
   M /trunk/sqlite_source/pragma.c
   M /trunk/sqlite_source/prepare.c
   M /trunk/sqlite_source/printf.c
   M /trunk/sqlite_source/random.c
   M /trunk/sqlite_source/select.c
   M /trunk/sqlite_source/shell.c
   M /trunk/sqlite_source/sqlite3.h
   M /trunk/sqlite_source/sqlite3ext.h
   M /trunk/sqlite_source/sqliteInt.h
   M /trunk/sqlite_source/tokenize.c
   M /trunk/sqlite_source/update.c
   M /trunk/sqlite_source/vacuum.c
   M /trunk/sqlite_source/vdbe.c
   M /trunk/sqlite_source/vdbe.h
   M /trunk/sqlite_source/vdbeInt.h
   M /trunk/sqlite_source/vdbeaux.c
   M /trunk/sqlite_source/vdbemem.c
   M /trunk/sqlite_source/vtab.c
   M /trunk/sqlite_source/where.c

Updated SQLite source code to version 3.3.13 + vdbeaux.c optimization + shell timer extension.
------------------------------------------------------------------------
r14 | darkstar | 2007-01-22 18:05:08 +0100 (Mon, 22 Jan 2007) | 1 line
Changed paths:
   A /trunk/playlistmanager.cpp
   A /trunk/playlistmanager.h

playlistmanager.cpp / playlistmanager.h were missing.
------------------------------------------------------------------------
r13 | darkstar | 2007-01-22 18:03:16 +0100 (Mon, 22 Jan 2007) | 7 lines
Changed paths:
   M /trunk/debug.cpp
   M /trunk/debug.h
   A /trunk/dynplaylistdialog.cpp
   A /trunk/dynplaylistdialog.h
   M /trunk/media.cpp
   M /trunk/media.h
   M /trunk/mediadatabase.cpp
   M /trunk/mediadatabase.h
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   A /trunk/playlistoverview.cpp
   A /trunk/playlistoverview.h
   M /trunk/zplayer.cpp
   M /trunk/zplayer.h
   M /trunk/zplayer.pro

 * Large pile of code moved from PlayList to new class PlayListManager in a separate file.
 * Move PlayListOverview to a separate file.
 * Additional debug code to keep track of memory consumption.
 * Refactored Media for more optimal memory usage and better performance.
   * File information have been moved into new class MediaFileInfo
 * Introduced additional functions hash and file/direxists for use in SQLite3 queries.
 * More or less intelligent loading of metadata in place (loadMediaHeuristically). See my blog post for additional information.
------------------------------------------------------------------------
r12 | darkstar | 2007-01-10 18:01:21 +0100 (Wed, 10 Jan 2007) | 3 lines
Changed paths:
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/qt/qprogressdialog.cpp
   M /trunk/qt/qprogressdialog.h
   D /trunk/sqlite_source/os_win.h
   M /trunk/zplayer.cpp
   M /trunk/zplayer.h

 * First support for reading dynamic play lists. See my blog post for additional information.
 * Simplified the PlayListOverview code.
 * More butchering in QProgressDialog.
------------------------------------------------------------------------
r11 | darkstar | 2007-01-08 18:00:12 +0100 (Mon, 08 Jan 2007) | 7 lines
Changed paths:
   A /trunk/debug.cpp
   M /trunk/debug.h
   D /trunk/gzfile.cpp
   D /trunk/gzfile.h
   M /trunk/media.cpp
   M /trunk/media.h
   M /trunk/mediadatabase.cpp
   M /trunk/mediadatabase.h
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   D /trunk/qptrlist.h
   D /trunk/qregexp3
   A /trunk/qt/qlayoutengine_p.h
   A /trunk/qt/qlistview.cpp
   A /trunk/qt/qlistview.h
   A /trunk/qt/qsplitter.cpp
   A /trunk/qt/qsplitter.h
   D /trunk/qtopia_volume.cpp
   D /trunk/sqlite_source/config.h
   D /trunk/sqlite_source/experimental.c
   D /trunk/sqlite_source/os_test.h
   D /trunk/sqlite_source/os_unix.h
   D /trunk/sqlite_source/sqlite_source.pro
   D /trunk/sqlite_source/sqlitebrowsertypes.h
   M /trunk/tkmix/qtopia_volume.cpp
   D /trunk/zlib
   M /trunk/zplayer.cpp
   M /trunk/zplayer.h
   M /trunk/zplayer.pro

 * media_metadata table merged with media table for performance reasons (read blog post).
 * Playlist overview somewhat more advanced. Still not finished.
 * Old ID3Tag code removed.
 * zlib relics removed.
 * Back ported QRegExp3 code removed. It was only used for the in memory media metadata cache.
 * Better handling of debug code.
 * General cleanup.
------------------------------------------------------------------------
r10 | darkstar | 2006-12-27 17:56:41 +0100 (Wed, 27 Dec 2006) | 5 lines
Changed paths:
   M /trunk/media.cpp
   M /trunk/media.h
   M /trunk/mediadatabase.cpp
   M /trunk/mediadatabase.h
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/seekbar.cpp
   M /trunk/skin.cpp
   M /trunk/skin.h
   A /trunk/skinnedlabel.cpp
   A /trunk/skinnedlabel.h
   D /trunk/sqlbrowser_util.c
   D /trunk/sqlbrowser_util.h
   M /trunk/sqlite_source/alter.c
   M /trunk/sqlite_source/analyze.c
   M /trunk/sqlite_source/attach.c
   M /trunk/sqlite_source/auth.c
   M /trunk/sqlite_source/btree.c
   M /trunk/sqlite_source/btree.h
   M /trunk/sqlite_source/build.c
   M /trunk/sqlite_source/callback.c
   M /trunk/sqlite_source/complete.c
   M /trunk/sqlite_source/date.c
   M /trunk/sqlite_source/delete.c
   M /trunk/sqlite_source/expr.c
   M /trunk/sqlite_source/func.c
   M /trunk/sqlite_source/hash.c
   M /trunk/sqlite_source/hash.h
   M /trunk/sqlite_source/insert.c
   M /trunk/sqlite_source/keywordhash.h
   M /trunk/sqlite_source/legacy.c
   A /trunk/sqlite_source/loadext.c
   M /trunk/sqlite_source/main.c
   M /trunk/sqlite_source/opcodes.c
   M /trunk/sqlite_source/opcodes.h
   M /trunk/sqlite_source/os.h
   M /trunk/sqlite_source/os_common.h
   A /trunk/sqlite_source/os_os2.c
   A /trunk/sqlite_source/os_os2.h
   M /trunk/sqlite_source/os_unix.c
   M /trunk/sqlite_source/os_win.c
   M /trunk/sqlite_source/pager.c
   M /trunk/sqlite_source/pager.h
   M /trunk/sqlite_source/parse.c
   M /trunk/sqlite_source/parse.h
   A /trunk/sqlite_source/parse.y
   M /trunk/sqlite_source/pragma.c
   M /trunk/sqlite_source/prepare.c
   M /trunk/sqlite_source/printf.c
   M /trunk/sqlite_source/random.c
   M /trunk/sqlite_source/select.c
   A /trunk/sqlite_source/shell.c
   A /trunk/sqlite_source/sqlite.h.in
   M /trunk/sqlite_source/sqlite3.h
   A /trunk/sqlite_source/sqlite3ext.h
   M /trunk/sqlite_source/sqliteInt.h
   M /trunk/sqlite_source/table.c
   M /trunk/sqlite_source/tokenize.c
   M /trunk/sqlite_source/trigger.c
   M /trunk/sqlite_source/update.c
   M /trunk/sqlite_source/utf.c
   M /trunk/sqlite_source/util.c
   M /trunk/sqlite_source/vacuum.c
   M /trunk/sqlite_source/vdbe.c
   M /trunk/sqlite_source/vdbe.h
   M /trunk/sqlite_source/vdbeInt.h
   M /trunk/sqlite_source/vdbeapi.c
   M /trunk/sqlite_source/vdbeaux.c
   M /trunk/sqlite_source/vdbemem.c
   A /trunk/sqlite_source/vtab.c
   M /trunk/sqlite_source/where.c
   D /trunk/sqlitebrowsertypes.h
   D /trunk/sqlitedb.cpp
   D /trunk/sqlitedb.h
   A /trunk/toolpanel.cpp
   A /trunk/toolpanel.h
   M /trunk/zplayer.cpp
   M /trunk/zplayer.h
   M /trunk/zplayer.pro

 * Additional fields added to metadata.
 * SQLite source code updated to 3.3.9pre-CVS20061225 + vdbeaux.c optimization
 * Toolpanel added. It shows count and total size of media files in the playlist / view.
 * First attempt at playlist overview control (genre, artist, album). Incomplete.
 * Dependency on Qt wrapper of SQLite Database Browser completely removed.
------------------------------------------------------------------------
r9 | darkstar | 2006-12-10 17:54:10 +0100 (Sun, 10 Dec 2006) | 9 lines
Changed paths:
   M /trunk/aboutdialog.cpp
   M /trunk/config/looksconfig.cpp
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   M /trunk/main.cpp
   M /trunk/media.cpp
   M /trunk/media.h
   D /trunk/mediacache.cpp
   D /trunk/mediacache.h
   A /trunk/mediadatabase.cpp (from /trunk/mediacache.cpp:8)
   A /trunk/mediadatabase.h (from /trunk/mediacache.h:8)
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/qt/qpopupmenu.cpp
   M /trunk/qt/qsemimodal.cpp
   M /trunk/skin.cpp
   M /trunk/sqlitedb.cpp
   M /trunk/tkmix/qtkfiledialog.cpp
   M /trunk/tkmix/qtkfiledialog.h
   M /trunk/zplayer.cpp
   M /trunk/zplayer.h
   M /trunk/zplayer.pro

 * MediaCache is now called MediaDatabase.
 * Database schema moved into MediaDatabase.
 * Many refactorings in media database code.
 * Dependency on SQLite Database Browser code removed from MediaDatabase.
 * Filtering now done in playlist.
 * Sorting and filtering code is now done in database (via PlayList).
 * Improved directory browsing in file dialog box.
 * First attempt at moving ZPlayer string constants to a common location in configuration.h.
 * About box updated.
------------------------------------------------------------------------
r8 | darkstar | 2006-11-19 17:51:38 +0100 (Sun, 19 Nov 2006) | 3 lines
Changed paths:
   M /trunk/media.cpp
   M /trunk/media.h
   M /trunk/mediacache.cpp
   M /trunk/mediacache.h
   M /trunk/mplayer.cpp
   M /trunk/zplayer.cpp
   M /trunk/zplayer.h

 * Playlist filter update is now triggered by a timer due to worse performance of the SQLite approach. :(
 * Further debug code.
 * More refactoring.
------------------------------------------------------------------------
r7 | darkstar | 2006-11-14 17:50:52 +0100 (Tue, 14 Nov 2006) | 4 lines
Changed paths:
   M /trunk/media.cpp
   M /trunk/media.h
   M /trunk/mediacache.cpp
   M /trunk/mediacache.h
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   M /trunk/sqlite_source/config.h
   M /trunk/sqlitedb.cpp
   M /trunk/sqlitedb.h
   M /trunk/zplayer.cpp

 * Mediacache completely rewritten to take advantage of SQLite.
 * Rudimentary support for saving to database.
 * Prepared statements used in time-critical parts.
 * Refactoring and class split-up for better manageability and lower memory requirements.
------------------------------------------------------------------------
r6 | darkstar | 2006-11-03 17:50:06 +0100 (Fri, 03 Nov 2006) | 3 lines
Changed paths:
   M /trunk/media.cpp
   M /trunk/media.h
   M /trunk/mediacache.cpp
   M /trunk/mediacache.h
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   A /trunk/sqlbrowser_util.c
   A /trunk/sqlbrowser_util.h
   A /trunk/sqlite_source
   A /trunk/sqlite_source/alter.c
   A /trunk/sqlite_source/analyze.c
   A /trunk/sqlite_source/attach.c
   A /trunk/sqlite_source/auth.c
   A /trunk/sqlite_source/btree.c
   A /trunk/sqlite_source/btree.h
   A /trunk/sqlite_source/build.c
   A /trunk/sqlite_source/callback.c
   A /trunk/sqlite_source/complete.c
   A /trunk/sqlite_source/config.h
   A /trunk/sqlite_source/date.c
   A /trunk/sqlite_source/delete.c
   A /trunk/sqlite_source/experimental.c
   A /trunk/sqlite_source/expr.c
   A /trunk/sqlite_source/func.c
   A /trunk/sqlite_source/hash.c
   A /trunk/sqlite_source/hash.h
   A /trunk/sqlite_source/insert.c
   A /trunk/sqlite_source/keywordhash.h
   A /trunk/sqlite_source/legacy.c
   A /trunk/sqlite_source/main.c
   A /trunk/sqlite_source/opcodes.c
   A /trunk/sqlite_source/opcodes.h
   A /trunk/sqlite_source/os.c
   A /trunk/sqlite_source/os.h
   A /trunk/sqlite_source/os_common.h
   A /trunk/sqlite_source/os_test.h
   A /trunk/sqlite_source/os_unix.c
   A /trunk/sqlite_source/os_unix.h
   A /trunk/sqlite_source/os_win.c
   A /trunk/sqlite_source/os_win.h
   A /trunk/sqlite_source/pager.c
   A /trunk/sqlite_source/pager.h
   A /trunk/sqlite_source/parse.c
   A /trunk/sqlite_source/parse.h
   A /trunk/sqlite_source/pragma.c
   A /trunk/sqlite_source/prepare.c
   A /trunk/sqlite_source/printf.c
   A /trunk/sqlite_source/random.c
   A /trunk/sqlite_source/select.c
   A /trunk/sqlite_source/sqlite3.h
   A /trunk/sqlite_source/sqliteInt.h
   A /trunk/sqlite_source/sqlite_source.pro
   A /trunk/sqlite_source/sqlitebrowsertypes.h
   A /trunk/sqlite_source/table.c
   A /trunk/sqlite_source/tokenize.c
   A /trunk/sqlite_source/trigger.c
   A /trunk/sqlite_source/update.c
   A /trunk/sqlite_source/utf.c
   A /trunk/sqlite_source/util.c
   A /trunk/sqlite_source/vacuum.c
   A /trunk/sqlite_source/vdbe.c
   A /trunk/sqlite_source/vdbe.h
   A /trunk/sqlite_source/vdbeInt.h
   A /trunk/sqlite_source/vdbeapi.c
   A /trunk/sqlite_source/vdbeaux.c
   A /trunk/sqlite_source/vdbefifo.c
   A /trunk/sqlite_source/vdbemem.c
   A /trunk/sqlite_source/where.c
   A /trunk/sqlitebrowsertypes.h
   A /trunk/sqlitedb.cpp
   A /trunk/sqlitedb.h
   M /trunk/zplayer.pro

 * First totally incomplete attempt at using SQLite as mediacache backend.
   * Parts of the SQLite code and Qt support classes are taken from SQLite Database Browser (http://sqlitebrowser.sf.net). SQLite version is 3.3.5.

------------------------------------------------------------------------
r5 | darkstar | 2006-09-17 17:48:00 +0200 (Sun, 17 Sep 2006) | 26 lines
Changed paths:
   M /trunk/action.cpp
   M /trunk/config/generalconfig.cpp
   M /trunk/config/generalconfig.h
   M /trunk/config/hotkeyconfig.cpp
   M /trunk/config/looksconfig.cpp
   M /trunk/config/looksconfig.h
   M /trunk/config/mplayerconfig.cpp
   M /trunk/configuration.cpp
   M /trunk/configuration.h
   M /trunk/configurationdialog.cpp
   A /trunk/ipk/pics/filterreset.png
   M /trunk/ipk/skin/bg_h.png
   M /trunk/ipk/skin/bg_v.png
   M /trunk/ipk/skin/buttons.png
   M /trunk/ipk/skin/font.png
   A /trunk/ipk/skin/pause_indicator.png
   A /trunk/ipk/skin/pause_indicator_b.png
   A /trunk/ipk/skin/play_indicator.png
   A /trunk/ipk/skin/play_indicator_b.png
   M /trunk/ipk/skin/seekknob.png
   M /trunk/ipk/skin/skin.ini
   A /trunk/ipk/skin/volknob.png
   A /trunk/ipk/skin_contrast
   A /trunk/ipk/skin_contrast/bg_h.png
   A /trunk/ipk/skin_contrast/bg_v.png
   A /trunk/ipk/skin_contrast/buttons.png
   A /trunk/ipk/skin_contrast/font.png
   A /trunk/ipk/skin_contrast/pause_indicator.png
   A /trunk/ipk/skin_contrast/pause_indicator_b.png
   A /trunk/ipk/skin_contrast/play_indicator.png
   A /trunk/ipk/skin_contrast/play_indicator_b.png
   A /trunk/ipk/skin_contrast/seekknob.png
   A /trunk/ipk/skin_contrast/skin.ini
   A /trunk/ipk/skin_contrast/volknob.png
   M /trunk/ipk/skin_qvga/bg_h.png
   M /trunk/ipk/skin_qvga/buttons.png
   M /trunk/ipk/skin_qvga/skin.ini
   A /trunk/ipk/skin_qvga_old
   A /trunk/ipk/skin_qvga_old/bg_h.png
   A /trunk/ipk/skin_qvga_old/bg_v.png
   A /trunk/ipk/skin_qvga_old/buttons.png
   A /trunk/ipk/skin_qvga_old/font.png
   A /trunk/ipk/skin_qvga_old/seekknob.png
   A /trunk/ipk/skin_qvga_old/skin.ini
   M /trunk/keynames.cpp
   M /trunk/main.cpp
   M /trunk/media.cpp
   M /trunk/media.h
   M /trunk/mediacache.cpp
   M /trunk/mediacache.h
   M /trunk/mplayer.cpp
   M /trunk/operationpanel.cpp
   M /trunk/operationpanel.h
   M /trunk/playinfo.cpp
   M /trunk/playinfo.h
   M /trunk/playlist.cpp
   M /trunk/playlist.h
   A /trunk/qptrlist.h
   A /trunk/qregexp3
   A /trunk/qregexp3/qcleanuphandler.h
   A /trunk/qregexp3/qmemarray.h
   A /trunk/qregexp3/qptrcollection.cpp
   A /trunk/qregexp3/qptrcollection.h
   A /trunk/qregexp3/qptrlist.h
   A /trunk/qregexp3/qptrvector.h
   A /trunk/qregexp3/qregexp.cpp
   A /trunk/qregexp3/qregexp.h
   A /trunk/qtopia_volume.cpp
   M /trunk/seekbar.cpp
   M /trunk/seekbar.h
   A /trunk/seekpanel.cpp
   A /trunk/seekpanel.h
   M /trunk/skin.cpp
   M /trunk/skin.h
   M /trunk/skinmanager.cpp
   M /trunk/skinmanager.h
   M /trunk/skinnedbutton.cpp
   M /trunk/skinnedtimelabel.cpp
   A /trunk/tag/id3lib
   A /trunk/tag/id3lib/config.h
   A /trunk/tag/id3lib/include
   A /trunk/tag/id3lib/include/Makefile
   A /trunk/tag/id3lib/include/Makefile.am
   A /trunk/tag/id3lib/include/Makefile.in
   A /trunk/tag/id3lib/include/id3
   A /trunk/tag/id3lib/include/id3/Makefile
   A /trunk/tag/id3lib/include/id3/Makefile.am
   A /trunk/tag/id3lib/include/id3/Makefile.in
   A /trunk/tag/id3lib/include/id3/field.h
   A /trunk/tag/id3lib/include/id3/globals.h
   A /trunk/tag/id3lib/include/id3/helpers.h
   A /trunk/tag/id3lib/include/id3/id3lib_bitset
   A /trunk/tag/id3lib/include/id3/id3lib_frame.h
   A /trunk/tag/id3lib/include/id3/id3lib_streams.h
   A /trunk/tag/id3lib/include/id3/id3lib_strings.h
   A /trunk/tag/id3lib/include/id3/io_decorators.h
   A /trunk/tag/id3lib/include/id3/io_helpers.h
   A /trunk/tag/id3lib/include/id3/io_strings.h
   A /trunk/tag/id3lib/include/id3/misc_support.h
   A /trunk/tag/id3lib/include/id3/reader.h
   A /trunk/tag/id3lib/include/id3/readers.h
   A /trunk/tag/id3lib/include/id3/sized_types.h
   A /trunk/tag/id3lib/include/id3/tag.h
   A /trunk/tag/id3lib/include/id3/utils.h
   A /trunk/tag/id3lib/include/id3/writer.h
   A /trunk/tag/id3lib/include/id3/writers.h
   A /trunk/tag/id3lib/include/id3.h
   A /trunk/tag/id3lib/src
   A /trunk/tag/id3lib/src/Makefile
   A /trunk/tag/id3lib/src/Makefile.am
   A /trunk/tag/id3lib/src/Makefile.in
   A /trunk/tag/id3lib/src/field.cpp
   A /trunk/tag/id3lib/src/field_binary.cpp
   A /trunk/tag/id3lib/src/field_def.h
   A /trunk/tag/id3lib/src/field_impl.h
   A /trunk/tag/id3lib/src/field_integer.cpp
   A /trunk/tag/id3lib/src/field_string_ascii.cpp
   A /trunk/tag/id3lib/src/field_string_unicode.cpp
   A /trunk/tag/id3lib/src/flags.h
   A /trunk/tag/id3lib/src/frame.cpp
   A /trunk/tag/id3lib/src/frame_def.h
   A /trunk/tag/id3lib/src/frame_impl.cpp
   A /trunk/tag/id3lib/src/frame_impl.h
   A /trunk/tag/id3lib/src/frame_parse.cpp
   A /trunk/tag/id3lib/src/frame_render.cpp
   A /trunk/tag/id3lib/src/globals.cpp
   A /trunk/tag/id3lib/src/header.cpp
   A /trunk/tag/id3lib/src/header.h
   A /trunk/tag/id3lib/src/header_frame.cpp
   A /trunk/tag/id3lib/src/header_frame.h
   A /trunk/tag/id3lib/src/header_tag.cpp
   A /trunk/tag/id3lib/src/header_tag.h
   A /trunk/tag/id3lib/src/helpers.cpp
   A /trunk/tag/id3lib/src/io.cpp
   A /trunk/tag/id3lib/src/io_decorators.cpp
   A /trunk/tag/id3lib/src/io_helpers.cpp
   A /trunk/tag/id3lib/src/misc_support.cpp
   A /trunk/tag/id3lib/src/mp3_header.h
   A /trunk/tag/id3lib/src/mp3_parse.cpp
   A /trunk/tag/id3lib/src/readers.cpp
   A /trunk/tag/id3lib/src/spec.cpp
   A /trunk/tag/id3lib/src/spec.h
   A /trunk/tag/id3lib/src/tag.cpp
   A /trunk/tag/id3lib/src/tag_file.cpp
   A /trunk/tag/id3lib/src/tag_find.cpp
   A /trunk/tag/id3lib/src/tag_impl.cpp
   A /trunk/tag/id3lib/src/tag_impl.h
   A /trunk/tag/id3lib/src/tag_parse.cpp
   A /trunk/tag/id3lib/src/tag_parse_lyrics3.cpp
   A /trunk/tag/id3lib/src/tag_parse_musicmatch.cpp
   A /trunk/tag/id3lib/src/tag_parse_v1.cpp
   A /trunk/tag/id3lib/src/tag_render.cpp
   A /trunk/tag/id3lib/src/utils.cpp
   A /trunk/tag/id3lib/src/writers.cpp
   M /trunk/tkmix/qtkfiledialog.cpp
   M /trunk/tkmix/qtopia_volume.cpp
   M /trunk/tkmix/qtopia_volume.h
   M /trunk/videoplaybackwindow.cpp
   M /trunk/videoplaybackwindow.h
   M /trunk/zplayer.cpp
   M /trunk/zplayer.h
   M /trunk/zplayer.pro
   M /trunk/zplayer_ja.ts

The first wave of changes to the zplayer-0.1.1 codebase:
 * playlist filtering;
 * many new hotkeys (zooming, skin quickswitch, focusing filterbox, resetting filter, play order);
 * improved performance when scanning for media;
 * better MP3 tag detection (via id3lib);
 * media cache functionality improvements:
   * made functional again; didn't work in 0.1.1 and prior;
   * more reliable when saving;
   * opening and saving progress dialog;
 * playlist improvements:
   * dramatically improved performance;
   * additional metadata columns;
   * sorting support;
   * support for different column setup depending on screen orientation;
   * persistent sort order and column setup;
 * skin improvements:
   * skinned volume control;
   * support for two skins;
   * skin quick switching (e.g. for contrast mode);
 * zoom support in playlist;
 * better progress dialogs;
 * UI fullscreen mode;
 * remote control support;
 * improved English translation;
 * minor refactorings and corrections;
 * some changes merged from zplayer SVN trunk.
------------------------------------------------------------------------
r4 | darkstar | 2006-09-10 17:46:03 +0200 (Sun, 10 Sep 2006) | 1 line
Changed paths:
   A /trunk/aboutdialog.cpp
   A /trunk/aboutdialog.h
   A /trunk/action.cpp
   A /trunk/action.h
   A /trunk/batteryplus.cpp
   A /trunk/batteryplus.h
   A /trunk/config
   A /trunk/config/generalconfig.cpp
   A /trunk/config/generalconfig.h
   A /trunk/config/getkeycode.cpp
   A /trunk/config/getkeycode.h
   A /trunk/config/hotkeyconfig.cpp
   A /trunk/config/hotkeyconfig.h
   A /trunk/config/identifykeydialog.cpp
   A /trunk/config/identifykeydialog.h
   A /trunk/config/looksconfig.cpp
   A /trunk/config/looksconfig.h
   A /trunk/config/mplayerconfig.cpp
   A /trunk/config/mplayerconfig.h
   A /trunk/configuration.cpp
   A /trunk/configuration.h
   A /trunk/configurationdialog.cpp
   A /trunk/configurationdialog.h
   A /trunk/debug.h
   A /trunk/doxygen.conf
   A /trunk/gzfile.cpp
   A /trunk/gzfile.h
   A /trunk/ipk
   A /trunk/ipk/build-ipkg
   A /trunk/ipk/pics
   A /trunk/ipk/pics/2downarrow.png
   A /trunk/ipk/pics/2uparrow.png
   A /trunk/ipk/pics/hotlistdel.png
   A /trunk/ipk/pics/view_detailed.png
   A /trunk/ipk/pics/zplayer.png
   A /trunk/ipk/pics_qvga
   A /trunk/ipk/pics_qvga/2downarrow.png
   A /trunk/ipk/pics_qvga/2uparrow.png
   A /trunk/ipk/pics_qvga/hotlistdel.png
   A /trunk/ipk/pics_qvga/view_detailed.png
   A /trunk/ipk/pics_qvga/zplayer.png
   A /trunk/ipk/skin
   A /trunk/ipk/skin/bg_h.png
   A /trunk/ipk/skin/bg_v.png
   A /trunk/ipk/skin/buttons.png
   A /trunk/ipk/skin/font.png
   A /trunk/ipk/skin/seekknob.png
   A /trunk/ipk/skin/skin.ini
   A /trunk/ipk/skin_qvga
   A /trunk/ipk/skin_qvga/bg_h.png
   A /trunk/ipk/skin_qvga/bg_v.png
   A /trunk/ipk/skin_qvga/buttons.png
   A /trunk/ipk/skin_qvga/font.png
   A /trunk/ipk/skin_qvga/seekknob.png
   A /trunk/ipk/skin_qvga/skin.ini
   A /trunk/ipk/zplayer.control
   A /trunk/ipk/zplayer.desktop
   A /trunk/ipk/zplayer_qvga.desktop
   A /trunk/keynames.cpp
   A /trunk/keynames.h
   A /trunk/main.cpp
   A /trunk/media.cpp
   A /trunk/media.h
   A /trunk/mediacache.cpp
   A /trunk/mediacache.h
   A /trunk/mediainfodialog.cpp
   A /trunk/mediainfodialog.h
   A /trunk/mplayer.cpp
   A /trunk/mplayer.h
   A /trunk/operationpanel.cpp
   A /trunk/operationpanel.h
   A /trunk/playinfo.cpp
   A /trunk/playinfo.h
   A /trunk/playlist.cpp
   A /trunk/playlist.h
   A /trunk/qt
   A /trunk/qt/qeffects_p.h
   A /trunk/qt/qinputdialog.cpp
   A /trunk/qt/qinputdialog.h
   A /trunk/qt/qpopupmenu.cpp
   A /trunk/qt/qprocess.cpp
   A /trunk/qt/qprocess.h
   A /trunk/qt/qprocess_unix.cpp
   A /trunk/qt/qprogressdialog.cpp
   A /trunk/qt/qprogressdialog.h
   A /trunk/qt/qsemimodal.cpp
   A /trunk/qt/qsemimodal.h
   A /trunk/random.h
   A /trunk/seekbar.cpp
   A /trunk/seekbar.h
   A /trunk/signalhandler.cpp
   A /trunk/signalhandler.h
   A /trunk/skin.cpp
   A /trunk/skin.h
   A /trunk/skinmanager.cpp
   A /trunk/skinmanager.h
   A /trunk/skinnedbutton.cpp
   A /trunk/skinnedbutton.h
   A /trunk/skinnedtimelabel.cpp
   A /trunk/skinnedtimelabel.h
   A /trunk/tag
   A /trunk/tag/id3tagv1.cpp
   A /trunk/tag/id3tagv1.h
   A /trunk/tag/id3tagv2.cpp
   A /trunk/tag/id3tagv2.h
   A /trunk/textencoding.cpp
   A /trunk/textencoding.h
   A /trunk/tkmix
   A /trunk/tkmix/qtkfiledialog.cpp
   A /trunk/tkmix/qtkfiledialog.h
   A /trunk/tkmix/qtopia_volume.cpp
   A /trunk/tkmix/qtopia_volume.h
   A /trunk/videoplaybackwindow.cpp
   A /trunk/videoplaybackwindow.h
   A /trunk/zlib
   A /trunk/zlib/zconf.h
   A /trunk/zlib/zlib.h
   A /trunk/zplayer.cpp
   A /trunk/zplayer.h
   A /trunk/zplayer.pro
   A /trunk/zplayer_ja.ts

Initial import of zplayer 0.1.1.
------------------------------------------------------------------------
r1 | darkstar | 2006-09-10 17:44:13 +0200 (Sun, 10 Sep 2006) | 1 line
Changed paths:
   A /trunk

Created folder remotely
------------------------------------------------------------------------
